**-----------------------------------------------*
* Do file to run Volatility in Euro Area        *
* Pedro Gomes                                   *
* Abderrahim Taamouti					*
* Antonio Afonso                                *
* First Created February 2012                   *
* Updated  February 2012                        *
*---------------------------------------------- *


* Increase memory size
clear all
set mem 450m
set matsize 800
set more off
set logtype text

* Set working directory

cd "C:\STATACodes"


insheet using "GoogleFactorsSA.txt", tab
rename weekdd WeekDD
tsset WeekDD, weekly
save GoogleFactorsSA, replace
saveold GoogleFactorsSAold, replace

use data2.dta, clear
tsset WeekDD, weekly
merge WeekDD using GoogleFactorsSA.dta

tsset WeekDD , weekly
generate w=week(dofw(WeekDD))

save data3.dta, replace
saveold data3old.dta, replace


***********************************************************************************************
*Do DCC on weekly retunrs
***********************************************************************************************
mgarch dcc (Wsp_S Wde_S=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_de_S_sp_S=V_Wde_S_Wsp_S /( V_Wsp_S_Wsp_S^(0.5)* V_Wde_S_Wde_S^(0.5))
gen COV_de_S_sp_S=V_Wde_S_Wsp_S*1000
gen VAR_de_S=V_Wde_S_Wde_S*1000
gen VAR_sp_S=V_Wsp_S_Wsp_S*1000
drop V_Wde_S_Wsp_S V_Wsp_S_Wsp_S V_Wde_S_Wde_S

mgarch dcc (Wsp_S Wit_S=, arch(1/1) garch(1/1)) if WeekD>450, distribution(t) vce(robust) 
predict V*, variance
gen C_it_S_sp_S=V_Wit_S_Wsp_S /( V_Wsp_S_Wsp_S^(0.5)* V_Wit_S_Wit_S^(0.5))
gen COV_it_S_sp_S=V_Wit_S_Wsp_S*1000
drop V_Wit_S_Wsp_S V_Wsp_S_Wsp_S V_Wit_S_Wit_S

mgarch dcc (Wsp_S Wfr_S=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_fr_S_sp_S=V_Wfr_S_Wsp_S /( V_Wsp_S_Wsp_S^(0.5)* V_Wfr_S_Wfr_S^(0.5))
gen COV_fr_S_sp_S=V_Wfr_S_Wsp_S*1000
drop V_Wfr_S_Wsp_S V_Wsp_S_Wsp_S V_Wfr_S_Wfr_S

mgarch dcc (Wde_S Wit_S=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_it_S_de_S=V_Wit_S_Wde_S /( V_Wde_S_Wde_S^(0.5)* V_Wit_S_Wit_S^(0.5))
gen COV_it_S_de_S=V_Wit_S_Wde_S*1000 
drop V_Wit_S_Wde_S V_Wde_S_Wde_S V_Wit_S_Wit_S

mgarch dcc (Wde_S Wfr_S=, arch(1/1) garch(1/1)) if WeekD>440, distribution(t) vce(robust)
predict V*, variance
gen C_fr_S_de_S=V_Wfr_S_Wde_S /( V_Wde_S_Wde_S^(0.5)* V_Wfr_S_Wfr_S^(0.5))
gen COV_fr_S_de_S=V_Wfr_S_Wde_S*1000
drop V_Wfr_S_Wde_S V_Wde_S_Wde_S V_Wfr_S_Wfr_S

mgarch dcc (Wit_S Wfr_S=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_fr_S_it_S=V_Wfr_S_Wit_S /( V_Wit_S_Wit_S^(0.5)* V_Wfr_S_Wfr_S^(0.5))
gen COV_fr_S_it_S=V_Wfr_S_Wit_S*1000 
gen VAR_fr_S=V_Wfr_S_Wfr_S*1000 
gen VAR_it_S=V_Wit_S_Wit_S*1000 
drop V_Wfr_S_Wit_S V_Wit_S_Wit_S V_Wfr_S_Wfr_S

***********************************************************************************************
mgarch dcc (Wsp_Y Wde_Y=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_de_Y_sp_Y=V_Wde_Y_Wsp_Y /( V_Wsp_Y_Wsp_Y^(0.5)* V_Wde_Y_Wde_Y^(0.5))
gen COV_de_Y_sp_Y=V_Wde_Y_Wsp_Y*1000
gen VAR_de_Y=V_Wde_Y_Wde_Y*1000
gen VAR_sp_Y=V_Wsp_Y_Wsp_Y*1000
drop V_Wde_Y_Wsp_Y V_Wsp_Y_Wsp_Y V_Wde_Y_Wde_Y

mgarch dcc (Wsp_Y Wit_Y=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_it_Y_sp_Y=V_Wit_Y_Wsp_Y /( V_Wsp_Y_Wsp_Y^(0.5)* V_Wit_Y_Wit_Y^(0.5))
gen COV_it_Y_sp_Y=V_Wit_Y_Wsp_Y*1000 
drop V_Wit_Y_Wsp_Y V_Wsp_Y_Wsp_Y V_Wit_Y_Wit_Y

mgarch dcc (Wsp_Y Wfr_Y=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_fr_Y_sp_Y=V_Wfr_Y_Wsp_Y /( V_Wsp_Y_Wsp_Y^(0.5)* V_Wfr_Y_Wfr_Y^(0.5))
gen COV_fr_Y_sp_Y=V_Wfr_Y_Wsp_Y*1000 
drop V_Wfr_Y_Wsp_Y V_Wsp_Y_Wsp_Y V_Wfr_Y_Wfr_Y

mgarch dcc (Wde_Y Wit_Y=, arch(1/1) garch(1/1)) if WeekD>440, distribution(t) vce(robust)
predict V*, variance
gen C_it_Y_de_Y=V_Wit_Y_Wde_Y /( V_Wde_Y_Wde_Y^(0.5)* V_Wit_Y_Wit_Y^(0.5))
gen COV_it_Y_de_Y=V_Wit_Y_Wde_Y*1000 
drop V_Wit_Y_Wde_Y V_Wde_Y_Wde_Y V_Wit_Y_Wit_Y

mgarch dcc (Wde_Y Wfr_Y=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_fr_Y_de_Y=V_Wfr_Y_Wde_Y /(V_Wde_Y_Wde_Y^(0.5)*V_Wfr_Y_Wfr_Y^(0.5))
gen COV_fr_Y_de_Y=V_Wfr_Y_Wde_Y*1000 
drop V_Wfr_Y_Wde_Y V_Wde_Y_Wde_Y V_Wfr_Y_Wfr_Y

mgarch dcc (Wit_Y Wfr_Y=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_fr_Y_it_Y=V_Wfr_Y_Wit_Y /( V_Wit_Y_Wit_Y^(0.5)* V_Wfr_Y_Wfr_Y^(0.5))
gen COV_fr_Y_it_Y=V_Wfr_Y_Wit_Y*1000  
gen VAR_fr_Y=V_Wfr_Y_Wfr_Y*1000
gen VAR_it_Y=V_Wit_Y_Wit_Y*1000
drop V_Wfr_Y_Wit_Y V_Wit_Y_Wit_Y V_Wfr_Y_Wfr_Y


***********************************************************************************************
mgarch dcc (Wsp_Y Wsp_S=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_sp_S_sp_Y=V_Wsp_S_Wsp_Y /( V_Wsp_Y_Wsp_Y^(0.5)* V_Wsp_S_Wsp_S^(0.5))
gen COV_sp_S_sp_Y=V_Wsp_S_Wsp_Y*1000
drop V_Wsp_S_Wsp_Y V_Wsp_Y_Wsp_Y V_Wsp_S_Wsp_S

mgarch dcc (Wde_Y Wde_S=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_de_S_de_Y=V_Wde_S_Wde_Y /( V_Wde_Y_Wde_Y^(0.5)* V_Wde_S_Wde_S^(0.5))
gen COV_de_S_de_Y=V_Wde_S_Wde_Y*1000 
drop V_Wde_S_Wde_Y V_Wde_Y_Wde_Y V_Wde_S_Wde_S

mgarch dcc (Wit_Y Wit_S=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_it_S_it_Y=V_Wit_S_Wit_Y /( V_Wit_Y_Wit_Y^(0.5)* V_Wit_S_Wit_S^(0.5))
gen COV_it_S_it_Y=V_Wit_S_Wit_Y*1000 
drop V_Wit_S_Wit_Y V_Wit_Y_Wit_Y V_Wit_S_Wit_S

mgarch dcc (Wfr_Y Wfr_S=, arch(1/1) garch(1/1)), distribution(t) vce(robust)
predict V*, variance
gen C_fr_S_fr_Y=V_Wfr_S_Wfr_Y /( V_Wfr_Y_Wfr_Y^(0.5)* V_Wfr_S_Wfr_S^(0.5))
gen COV_fr_S_fr_Y=V_Wfr_S_Wfr_Y*1000 
drop V_Wfr_S_Wfr_Y V_Wfr_Y_Wfr_Y V_Wfr_S_Wfr_S

***********************************************************************************************

gen C20_de_S_sp_S =.
gen C20_it_S_sp_S =.
gen C20_fr_S_sp_S =.
gen C20_it_S_de_S =.
gen C20_fr_S_de_S =.
gen C20_fr_S_it_S =.

gen C20_de_Y_sp_Y =.
gen C20_it_Y_sp_Y =.
gen C20_fr_Y_sp_Y =.
gen C20_it_Y_de_Y =.
gen C20_fr_Y_de_Y =.
gen C20_fr_Y_it_Y =.

gen C20_fr_S_fr_Y=.
gen C20_it_S_it_Y=.
gen C20_de_S_de_Y=.
gen C20_sp_S_sp_Y=.


forvalues i = 390(1)878{
display `i'
quietly  correl sp_S de_S   if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_de_S_sp_S  =r(rho) if WeekD==`i' 
quietly  correl  sp_S it_S  if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_it_S_sp_S=r(rho) if WeekD==`i' 
quietly  correl  sp_S fr_S  if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_fr_S_sp_S=r(rho) if WeekD==`i' 
quietly  correl  de_S it_S  if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_it_S_de_S=r(rho) if WeekD==`i' 
quietly  correl   de_S fr_S if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_fr_S_de_S=r(rho) if WeekD==`i' 
quietly  correl  it_S fr_S  if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_fr_S_it_S=r(rho) if WeekD==`i' 
quietly  correl   sp_Y de_Y if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_de_Y_sp_Y=r(rho) if WeekD==`i' 
quietly  correl   sp_Y it_Y if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_it_Y_sp_Y=r(rho) if WeekD==`i' 
quietly  correl   sp_Y fr_Y if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_fr_Y_sp_Y=r(rho) if WeekD==`i' 
quietly  correl   de_Y it_Y if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_it_Y_de_Y=r(rho) if WeekD==`i' 
quietly  correl   de_Y fr_Y if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_fr_Y_de_Y=r(rho) if WeekD==`i' 
quietly  correl   it_Y fr_Y if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_fr_Y_it_Y=r(rho) if WeekD==`i' 
quietly  correl   sp_Y sp_S if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_sp_S_sp_Y=r(rho) if WeekD==`i' 
quietly  correl   de_Y de_S if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_de_S_de_Y=r(rho) if WeekD==`i' 
quietly  correl   it_Y it_S if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_it_S_it_Y=r(rho) if WeekD==`i' 
quietly  correl  fr_Y fr_S  if WeekD<=`i' & WeekD>`i'-20 
quietly  replace C20_fr_S_fr_Y=r(rho) if WeekD==`i' 
}
***********************************************************************************************

gen COV20_de_S_sp_S =.
gen COV20_it_S_sp_S =.
gen COV20_fr_S_sp_S =.
gen COV20_it_S_de_S =.
gen COV20_fr_S_de_S =.
gen COV20_fr_S_it_S =.

gen COV20_de_Y_sp_Y =.
gen COV20_it_Y_sp_Y =.
gen COV20_fr_Y_sp_Y =.
gen COV20_it_Y_de_Y =.
gen COV20_fr_Y_de_Y =.
gen COV20_fr_Y_it_Y =.

gen COV20_fr_S_fr_Y=.
gen COV20_it_S_it_Y=.
gen COV20_de_S_de_Y=.
gen COV20_sp_S_sp_Y=.


forvalues i = 390(1)878{
display `i'
quietly  correl sp_S de_S   if WeekD<=`i' & WeekD>`i'-20 , cov
quietly  replace COV20_de_S_sp_S  =r(cov_12) if WeekD==`i' 
quietly  correl  sp_S it_S  if WeekD<=`i' & WeekD>`i'-20  , cov
quietly  replace COV20_it_S_sp_S=r(cov_12) if WeekD==`i' 
quietly  correl  sp_S fr_S  if WeekD<=`i' & WeekD>`i'-20  , cov
quietly  replace COV20_fr_S_sp_S=r(cov_12) if WeekD==`i' 
quietly  correl  de_S it_S  if WeekD<=`i' & WeekD>`i'-20  , cov
quietly  replace COV20_it_S_de_S=r(cov_12) if WeekD==`i' 
quietly  correl   de_S fr_S if WeekD<=`i' & WeekD>`i'-20  , cov
quietly  replace COV20_fr_S_de_S=r(cov_12) if WeekD==`i'  
quietly  correl  it_S fr_S  if WeekD<=`i' & WeekD>`i'-20  , cov
quietly  replace COV20_fr_S_it_S=r(cov_12) if WeekD==`i' 
quietly  correl   sp_Y de_Y if WeekD<=`i' & WeekD>`i'-20  , cov
quietly  replace COV20_de_Y_sp_Y=r(cov_12) if WeekD==`i' 
quietly  correl   sp_Y it_Y if WeekD<=`i' & WeekD>`i'-20  , cov
quietly  replace COV20_it_Y_sp_Y=r(cov_12) if WeekD==`i' 
quietly  correl   sp_Y fr_Y if WeekD<=`i' & WeekD>`i'-20 , cov 
quietly  replace COV20_fr_Y_sp_Y=r(cov_12) if WeekD==`i' 
quietly  correl   de_Y it_Y if WeekD<=`i' & WeekD>`i'-20 , cov 
quietly  replace COV20_it_Y_de_Y=r(cov_12) if WeekD==`i' 
quietly  correl   de_Y fr_Y if WeekD<=`i' & WeekD>`i'-20 , cov 
quietly  replace COV20_fr_Y_de_Y=r(cov_12) if WeekD==`i' 
quietly  correl   it_Y fr_Y if WeekD<=`i' & WeekD>`i'-20 , cov 
quietly  replace COV20_fr_Y_it_Y=r(cov_12) if WeekD==`i' 
quietly  correl   sp_Y sp_S if WeekD<=`i' & WeekD>`i'-20 , cov 
quietly  replace COV20_sp_S_sp_Y=r(cov_12) if WeekD==`i' 
quietly  correl   de_Y de_S if WeekD<=`i' & WeekD>`i'-20 , cov 
quietly  replace COV20_de_S_de_Y=r(cov_12) if WeekD==`i' 
quietly  correl   it_Y it_S if WeekD<=`i' & WeekD>`i'-20 , cov 
quietly  replace COV20_it_S_it_Y=r(cov_12) if WeekD==`i' 
quietly  correl  fr_Y fr_S  if WeekD<=`i' & WeekD>`i'-20 , cov 
quietly  replace COV20_fr_S_fr_Y=r(cov_12) if WeekD==`i' 
}


label var  C_de_S_sp_S "DCC Weekly Germany-Spain Stocks"
label var  C_it_S_sp_S "DCC Weekly Italy-Spain Stocks"
label var  C_fr_S_sp_S "DCC Weekly France-Spain Stocks"
label var  C_it_S_de_S "DCC Weekly Italy-Germany Stocks"
label var  C_fr_S_de_S "DCC Weekly France-Germany Stocks"
label var  C_fr_S_it_S "DCC Weekly France-Spain Stocks"

label var  C_de_Y_sp_Y "DCC Weekly Germany-Spain Bonds"
label var  C_it_Y_sp_Y "DCC Weekly Italy-Spain Bonds"
label var  C_fr_Y_sp_Y "DCC Weekly France-Spain Bonds"
label var  C_it_Y_de_Y "DCC Weekly Italy-Germany Bonds"
label var  C_fr_Y_de_Y "DCC Weekly France-Germany Bonds"
label var  C_fr_Y_it_Y "DCC Weekly France-Spain Bonds"

label var  C_fr_S_fr_Y "DCC Weekly France Stocks-Bonds"
label var  C_it_S_it_Y "DCC Weekly Italy Stocks-Bonds"
label var  C_de_S_de_Y "DCC Weekly Germany Stocks-Bonds"
label var  C_sp_S_sp_Y "DCC Weekly Spain Stocks-Bonds"



label var  C20_de_S_sp_S "20 weeks correlation: Germany-Spain Stocks"
label var  C20_it_S_sp_S "20 weeks correlation:  Italy-Spain Stocks"
label var  C20_fr_S_sp_S "20 weeks correlation:  France-Spain Stocks"
label var  C20_it_S_de_S "20 weeks correlation:  Italy-Germany Stocks"
label var  C20_fr_S_de_S "20 weeks correlation:  France-Germany Stocks"
label var  C20_fr_S_it_S "20 weeks correlation:  France-Spain Stocks"

label var  C20_de_Y_sp_Y "20 weeks correlation:  Germany-Spain Bonds"
label var  C20_it_Y_sp_Y "20 weeks correlation:  Italy-Spain Bonds"
label var  C20_fr_Y_sp_Y "20 weeks correlation:  France-Spain Bonds"
label var  C20_it_Y_de_Y "20 weeks correlation:  Italy-Germany Bonds"
label var  C20_fr_Y_de_Y "20 weeks correlation:  France-Germany Bonds"
label var  C20_fr_Y_it_Y "20 weeks correlation:  France-Spain Bonds"

label var  C20_fr_S_fr_Y "20 weeks correlation:  France Stocks-Bonds"
label var  C20_it_S_it_Y "20 weeks correlation:  Italy Stocks-Bonds"
label var  C20_de_S_de_Y "20 weeks correlation:  Germany Stocks-Bonds"
label var  C20_sp_S_sp_Y "20 weeks correlation:  Spain Stocks-Bonds"




label var C_de_S_sp_S "Stock returns correlation"
label var C_it_S_sp_S "Stock returns correlation"
label var C_fr_S_sp_S "Stock returns correlation"
label var C_it_S_de_S "Stock returns correlation"
label var C_fr_S_de_S "Stock returns correlation"
label var C_fr_S_it_S "Stock returns correlation"
label var C_de_Y_sp_Y "Bond returns correlation"
label var C_it_Y_sp_Y "Bond returns correlation"
label var C_fr_Y_sp_Y "Bond returns correlation"
label var C_it_Y_de_Y "Bond returns correlation"
label var C_fr_Y_de_Y "Bond returns correlation"
label var C_fr_Y_it_Y "Bond returns correlation"
label var C_sp_S_sp_Y  "Stock and Bond returns correlation"
label var C_de_S_de_Y "Stock and Bond returns correlation"
label var C_fr_S_fr_Y "Stock and Bond returns correlation"
label var C_it_S_it_Y "Stock and Bond returns correlation"

label var COV_de_S_sp_S "Stock returns covariance"
label var COV_it_S_sp_S "Stock returns covariance"
label var COV_fr_S_sp_S "Stock returns covariance"
label var COV_it_S_de_S "Stock returns covariance"
label var COV_fr_S_de_S "Stock returns covariance"
label var COV_fr_S_it_S "Stock returns covariance"
label var COV_de_Y_sp_Y "Bond returns covariance"
label var COV_it_Y_sp_Y "Bond returns covariance"
label var COV_fr_Y_sp_Y "Bond returns covariance"
label var COV_it_Y_de_Y "Bond returns covariance"
label var COV_fr_Y_de_Y "Bond returns covariance"
label var COV_fr_Y_it_Y "Bond returns covariance"
label var COV_sp_S_sp_Y  "Stock and Bond returns covariance"
label var COV_de_S_de_Y "Stock and Bond returns covariance"
label var COV_fr_S_fr_Y "Stock and Bond returns covariance"
label var COV_it_S_it_Y "Stock and Bond returns covariance"



label var  COV20_de_S_sp_S "20 weeks covariance:  Germany-Spain Stocks"
label var  COV20_it_S_sp_S "20 weeks covariance:  Italy-Spain Stocks"
label var  COV20_fr_S_sp_S "20 weeks covariance:  France-Spain Stocks"
label var  COV20_it_S_de_S "20 weeks covariance:  Italy-Germany Stocks"
label var  COV20_fr_S_de_S "20 weeks covariance:  France-Germany Stocks"
label var  COV20_fr_S_it_S "20 weeks covariance:  France-Spain Stocks"

label var  COV20_de_Y_sp_Y "20 weeks covariance:  Germany-Spain Bonds"
label var  COV20_it_Y_sp_Y "20 weeks covariance:  Italy-Spain Bonds"
label var  COV20_fr_Y_sp_Y "20 weeks covariance:  France-Spain Bonds"
label var  COV20_it_Y_de_Y "20 weeks covariance:  Italy-Germany Bonds"
label var  COV20_fr_Y_de_Y "20 weeks covariance:  France-Germany Bonds"
label var  COV20_fr_Y_it_Y "20 weeks covariance:  France-Spain Bonds"

label var  COV20_fr_S_fr_Y "20 weeks covariance:  France Stocks-Bonds"
label var  COV20_it_S_it_Y "20 weeks covariance:  Italy Stocks-Bonds"
label var  COV20_de_S_de_Y "20 weeks covariance:  Germany Stocks-Bonds"
label var  COV20_sp_S_sp_Y "20 weeks covariance:  Spain Stocks-Bonds"


twoway (tsline C_de_S_sp_S if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Germany and Spain", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_de_S_sp_S.eps", as (eps)  replace
twoway (tsline C_it_S_sp_S if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Italy and Spain", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_it_S_sp_S.eps", as (eps)  replace
twoway (tsline C_fr_S_sp_S if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("France and Spain", size(vlarge) justification(center)) legend(rows(1)) ylabel(0.6(0.1)1)  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_fr_S_sp_S.eps", as (eps)  replace
twoway (tsline C_it_S_de_S if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Germany and Italy", size(vlarge) justification(center)) legend(rows(1)) ylabel(0.6(0.1)1)  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_it_S_de_S.eps", as (eps)  replace
twoway (tsline C_fr_S_de_S if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Germany and France", size(vlarge) justification(center)) legend(rows(1)) ylabel(0.6(0.1)1)  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_fr_S_de_S.eps", as (eps)  replace
twoway (tsline C_fr_S_it_S if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("France and Italy", size(vlarge) justification(center)) legend(rows(1)) ylabel(0.6(0.1)1)  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_fr_S_it_S.eps", as (eps)  replace

twoway (tsline C_de_Y_sp_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Germany and Spain", size(vlarge) justification(center)) legend(rows(1)) ylabel(-1(0.5)1)  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_de_Y_sp_Y.eps", as (eps)  replace
twoway (tsline C_it_Y_sp_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Italy and Spain", size(vlarge) justification(center)) legend(rows(1)) ylabel(-1(0.5)1)  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_it_Y_sp_Y.eps", as (eps)  replace
twoway (tsline C_fr_Y_sp_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("France and Spain", size(vlarge) justification(center)) legend(rows(1)) ylabel(-1(0.5)1)  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_fr_Y_sp_Y.eps", as (eps)  replace
twoway (tsline C_it_Y_de_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Germany and Italy", size(vlarge) justification(center)) legend(rows(1)) ylabel(-1(0.5)1)    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_it_Y_de_Y.eps", as (eps)  replace
twoway (tsline C_fr_Y_de_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Germany and France", size(vlarge) justification(center)) legend(rows(1)) ylabel(-1(0.5)1)  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_fr_Y_de_Y.eps", as (eps)  replace
twoway (tsline C_fr_Y_it_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("France and Italy", size(vlarge) justification(center)) legend(rows(1)) ylabel(-1(0.5)1)  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_fr_Y_it_Y.eps", as (eps)  replace


twoway (tsline  C_sp_S_sp_Y  if time2>=16072 & time2<=18928, lcolor(green) lwidth(medthick)  ), ttitle(Date) title("Spain", size(vlarge) justification(center)) legend(rows(1)) ylabel(-0.8(0.4)0.8)    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export " C_sp_S_sp_Y.eps", as (eps)  replace
twoway (tsline C_de_S_de_Y if time2>=16072 & time2<=18928, lcolor(green) lwidth(medthick)  ), ttitle(Date) title("Germany", size(vlarge) justification(center)) legend(rows(1)) ylabel(-0.8(0.4)0.8)    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_de_S_de_Y.eps", as (eps)  replace
twoway (tsline C_fr_S_fr_Y  if time2>=16072 & time2<=18928, lcolor(green) lwidth(medthick)  ), ttitle(Date) title("France", size(vlarge) justification(center)) legend(rows(1)) ylabel(-0.8(0.4)0.8)    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_fr_S_fr_Y.eps", as (eps)  replace
twoway (tsline C_it_S_it_Y  if time2>=16072 & time2<=18928, lcolor(green) lwidth(medthick)  ), ttitle(Date) title("Italy", size(vlarge) justification(center)) legend(rows(1)) ylabel(-0.8(0.4)0.8)    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "C_it_S_it_Y.eps", as (eps)  replace



save data4.dta, replace
saveold data4old.dta, replace


***************************************************************


* Increase memory size
clear all
set mem 450m
set matsize 800
set more off
set logtype text

* Set working directory

cd "C:\STATACodes\"
use data4old.dta, clear



twoway (tsline COV_de_S_sp_S if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Germany and Spain", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_de_S_sp_S.eps", as (eps)  replace
twoway (tsline COV_it_S_sp_S if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Italy and Spain", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_it_S_sp_S.eps", as (eps)  replace
twoway (tsline COV_fr_S_sp_S if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("France and Spain", size(vlarge) justification(center)) legend(rows(1))  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_fr_S_sp_S.eps", as (eps)  replace
twoway (tsline COV_it_S_de_S if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Germany and Italy", size(vlarge) justification(center)) legend(rows(1))   xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_it_S_de_S.eps", as (eps)  replace
twoway (tsline COV_fr_S_de_S if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Germany and France", size(vlarge) justification(center)) legend(rows(1))   xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_fr_S_de_S.eps", as (eps)  replace
twoway (tsline COV_fr_S_it_S if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("France and Italy", size(vlarge) justification(center)) legend(rows(1))  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_fr_S_it_S.eps", as (eps)  replace

twoway (tsline COV_de_Y_sp_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Germany and Spain", size(vlarge) justification(center)) legend(rows(1))  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_de_Y_sp_Y.eps", as (eps)  replace
twoway (tsline COV_it_Y_sp_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Italy and Spain", size(vlarge) justification(center)) legend(rows(1))   xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_it_Y_sp_Y.eps", as (eps)  replace
twoway (tsline COV_fr_Y_sp_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("France and Spain", size(vlarge) justification(center)) legend(rows(1))   xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_fr_Y_sp_Y.eps", as (eps)  replace
twoway (tsline COV_it_Y_de_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Germany and Italy", size(vlarge) justification(center)) legend(rows(1))    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_it_Y_de_Y.eps", as (eps)  replace
twoway (tsline COV_fr_Y_de_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Germany and France", size(vlarge) justification(center)) legend(rows(1))   xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_fr_Y_de_Y.eps", as (eps)  replace
twoway (tsline COV_fr_Y_it_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("France and Italy", size(vlarge) justification(center)) legend(rows(1))   xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_fr_Y_it_Y.eps", as (eps)  replace


twoway (tsline  COV_sp_S_sp_Y  if time2>=16072 & time2<=18928, lcolor(green) lwidth(medthick)  ), ttitle(Date) title("Spain", size(vlarge) justification(center)) legend(rows(1))     xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export " COV_sp_S_sp_Y.eps", as (eps)  replace
twoway (tsline COV_de_S_de_Y if time2>=16072 & time2<=18928, lcolor(green) lwidth(medthick)  ), ttitle(Date) title("Germany", size(vlarge) justification(center)) legend(rows(1))     xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_de_S_de_Y.eps", as (eps)  replace
twoway (tsline COV_fr_S_fr_Y  if time2>=16072 & time2<=18928, lcolor(green) lwidth(medthick)  ), ttitle(Date) title("France", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_fr_S_fr_Y.eps", as (eps)  replace
twoway (tsline COV_it_S_it_Y  if time2>=16072 & time2<=18928, lcolor(green) lwidth(medthick)  ), ttitle(Date) title("Italy", size(vlarge) justification(center)) legend(rows(1))  xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "COV_it_S_it_Y.eps", as (eps)  replace




label var  VAR_de_S "Stock returns variance"
label var  VAR_fr_S "Stock returns variance"
label var  VAR_it_S "Stock returns variance"
label var  VAR_sp_S "Stock returns variance"


label var  VAR_de_Y "Bond returns variance"
label var  VAR_fr_Y "Bond returns variance"
label var  VAR_it_Y "Bond returns variance"
label var  VAR_sp_Y "Bond returns variance"


twoway (tsline VAR_de_S if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Germany", size(vlarge) justification(center)) legend(rows(1))    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "VAR_de_S.eps", as (eps)  replace
twoway (tsline VAR_fr_S if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("France", size(vlarge) justification(center)) legend(rows(1))    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "VAR_fr_S.eps", as (eps)  replace
twoway (tsline VAR_it_S if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Italy", size(vlarge) justification(center)) legend(rows(1))    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "VAR_it_S.eps", as (eps)  replace
twoway (tsline VAR_sp_S if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Spain", size(vlarge) justification(center)) legend(rows(1))    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "VAR_sp_S.eps", as (eps)  replace


twoway (tsline VAR_de_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Germany", size(vlarge) justification(center)) legend(rows(1))    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "VAR_de_Y.eps", as (eps)  replace
twoway (tsline VAR_fr_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("France", size(vlarge) justification(center)) legend(rows(1))    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "VAR_fr_Y.eps", as (eps)  replace
twoway (tsline VAR_it_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Italy", size(vlarge) justification(center)) legend(rows(1))    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "VAR_it_Y.eps", as (eps)  replace
twoway (tsline VAR_sp_Y if time2>=16072 & time2<=18928, lcolor(blue) lwidth(medthick)  ), ttitle(Date) title("Spain", size(vlarge) justification(center)) legend(rows(1))    xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "VAR_sp_Y.eps", as (eps)  replace










***************************************************************
label var  C_de_S_sp_S "DCC Weekly Germany-Spain Stocks"
label var  C_it_S_sp_S "DCC Weekly Italy-Spain Stocks"
label var  C_fr_S_sp_S "DCC Weekly France-Spain Stocks"
label var  C_it_S_de_S "DCC Weekly Italy-Germany Stocks"
label var  C_fr_S_de_S "DCC Weekly France-Germany Stocks"
label var  C_fr_S_it_S "DCC Weekly France-Spain Stocks"

label var  C_de_Y_sp_Y "DCC Weekly Germany-Spain Bonds"
label var  C_it_Y_sp_Y "DCC Weekly Italy-Spain Bonds"
label var  C_fr_Y_sp_Y "DCC Weekly France-Spain Bonds"
label var  C_it_Y_de_Y "DCC Weekly Italy-Germany Bonds"
label var  C_fr_Y_de_Y "DCC Weekly France-Germany Bonds"
label var  C_fr_Y_it_Y "DCC Weekly France-Spain Bonds"

label var  C_fr_S_fr_Y "DCC Weekly France Stocks-Bonds"
label var  C_it_S_it_Y "DCC Weekly Italy Stocks-Bonds"
label var  C_de_S_de_Y "DCC Weekly Germany Stocks-Bonds"
label var  C_sp_S_sp_Y "DCC Weekly Spain Stocks-Bonds"



sum  C_de_S_sp_S AC_de_S_sp_S  C20_de_S_sp_S AC20_de_S_sp_S
sum  C_it_S_sp_S AC_it_S_sp_S  C20_it_S_sp_S AC20_it_S_sp_S
sum  C_fr_S_sp_S AC_fr_S_sp_S  C20_fr_S_sp_S AC20_fr_S_sp_S
sum  C_it_S_de_S AC_it_S_de_S  C20_it_S_de_S AC_it_S_de_S
sum  C_fr_S_de_S AC_it_S_de_S  C20_fr_S_de_S AC20_it_S_de_S
sum  C_fr_S_it_S AC_fr_S_it_S C20_fr_S_it_S AC20_fr_S_it_S

sum  C_de_Y_sp_Y AC_de_Y_sp_Y  C20_de_Y_sp_Y AC20_de_Y_sp_Y
sum  C_it_Y_sp_Y AC_it_Y_sp_Y  C20_it_Y_sp_Y AC20_it_Y_sp_Y
sum  C_fr_Y_sp_Y AC_fr_Y_sp_Y  C20_fr_Y_sp_Y AC20_fr_Y_sp_Y
sum  C_it_Y_de_Y AC_it_Y_de_Y  C20_it_Y_de_Y AC20_it_Y_de_Y
sum  C_fr_Y_de_Y AC_fr_Y_de_Y  C20_fr_Y_de_Y AC20_fr_Y_de_Y 
sum  C_fr_Y_it_Y AC_fr_Y_it_Y  C20_fr_Y_it_Y AC20_fr_Y_it_Y

sum  C_fr_S_fr_Y AC_fr_S_fr_Y C20_fr_S_fr_Y AC20_fr_S_fr_Y 
sum  C_it_S_it_Y AC_it_S_it_Y C20_it_S_it_Y AC20_it_S_it_Y
sum  C_de_S_de_Y AC_de_S_de_Y C20_de_S_de_Y AC20_de_S_de_Y
sum  C_sp_S_sp_Y AC_sp_S_sp_Y C20_sp_S_sp_Y AC20_sp_S_sp_Y


correl  C_de_S_sp_S AC_de_S_sp_S  C20_de_S_sp_S AC20_de_S_sp_S
correl   C_it_S_sp_S AC_it_S_sp_S  C20_it_S_sp_S AC20_it_S_sp_S
correl    C_fr_S_sp_S AC_fr_S_sp_S  C20_fr_S_sp_S AC20_fr_S_sp_S
correl    C_it_S_de_S AC_it_S_de_S  C20_it_S_de_S AC_it_S_de_S
correl    C_fr_S_de_S AC_it_S_de_S  C20_fr_S_de_S AC20_it_S_de_S
correl   C_fr_S_it_S AC_fr_S_it_S C20_fr_S_it_S AC20_fr_S_it_S

correl    C_de_Y_sp_Y AC_de_Y_sp_Y  C20_de_Y_sp_Y AC20_de_Y_sp_Y
correl    C_it_Y_sp_Y AC_it_Y_sp_Y  C20_it_Y_sp_Y AC20_it_Y_sp_Y
correl    C_fr_Y_sp_Y AC_fr_Y_sp_Y  C20_fr_Y_sp_Y AC20_fr_Y_sp_Y
correl    C_it_Y_de_Y AC_it_Y_de_Y  C20_it_Y_de_Y AC20_it_Y_de_Y
correl    C_fr_Y_de_Y AC_fr_Y_de_Y  C20_fr_Y_de_Y AC20_fr_Y_de_Y 
correl    C_fr_Y_it_Y AC_fr_Y_it_Y  C20_fr_Y_it_Y AC20_fr_Y_it_Y

correl    C_fr_S_fr_Y AC_fr_S_fr_Y C20_fr_S_fr_Y AC20_fr_S_fr_Y 
correl    C_it_S_it_Y AC_it_S_it_Y C20_it_S_it_Y AC20_it_S_it_Y
correl    C_de_S_de_Y AC_de_S_de_Y C20_de_S_de_Y AC20_de_S_de_Y
correl    C_sp_S_sp_Y AC_sp_S_sp_Y C20_sp_S_sp_Y AC20_sp_S_sp_Y



save data4.dta, replace
saveold data4old.dta, replace




