**-----------------------------------------------*
* Do file to run Volatility in Euro Area        *
* Pedro Gomes                                   *
* Abderrahim Taamouti					*
*  			                              *
* First Created February 2012                   *
* Updated  February 2012                        *
*---------------------------------------------- *


* Increase memory size
clear all
set mem 450m
set matsize 800
set more off
set logtype text

* Set working directory

cd "C:\STATACodes"

use data4.dta, clear

gen Ljobs_us=log(jobs_us)
gen Lfpnews_us = log(fpnews_us)
gen Leconews_us = log(econews_us)
gen Lmanufacturing_us = log(manufacturing_us)
gen Lcredit_us = log(credit_us)
gen Lfx_us = log(fx_us)
gen Lproperty_us = log(property_us)
gen Lconstruction_us = log(construction_us)
gen Lequipment_us = log(equipment_us)
gen Lauto_us = log(auto_us)
gen Lpublicfinance_us = log(publicfinance_us )
gen Lpublicpolicy_us= log(publicpolicy_us)
gen Lstatelocal_us= log(statelocal_us)

gen Ljobs_de=log(jobs_de)
gen Lfpnews_de = log(fpnews_de)
gen Leconews_de = log(econews_de)
gen Lmanufacturing_de = log(manufacturing_de)
gen Lcredit_de = log(credit_de)
gen Lfx_de = log(fx_de)
gen Lproperty_de = log(property_de)
gen Lconstruction_de = log(construction_de)
gen Lequipment_de = log(equipment_de)
gen Lauto_de = log(auto_de)
gen Lpublicfinance_de = log(publicfinance_de )
gen Lpublicpolicy_de= log(publicpolicy_de)
gen Lstatelocal_de= log(statelocal_de)

 
gen Ljobs_fr=log(jobs_fr)
gen Lfpnews_fr = log(fpnews_fr)
gen Leconews_fr = log(econews_fr)
gen Lmanufacturing_fr = log(manufacturing_fr)
gen Lcredit_fr = log(credit_fr)
gen Lfx_fr = log(fx_fr)
gen Lproperty_fr = log(property_fr)
gen Lconstruction_fr = log(construction_fr)
gen Lequipment_fr = log(equipment_fr)
gen Lauto_fr = log(auto_fr)
gen Lpublicfinance_fr = log(publicfinance_fr )
gen Lpublicpolicy_fr= log(publicpolicy_fr)
gen Lstatelocal_fr= log(statelocal_fr)

 
gen Ljobs_it=log(jobs_it)
gen Lfpnews_it = log(fpnews_it)
gen Leconews_it = log(econews_it)
gen Lmanufacturing_it = log(manufacturing_it)
gen Lcredit_it = log(credit_it)
gen Lfx_it = log(fx_it)
gen Lproperty_it = log(property_it)
gen Lconstruction_it = log(construction_it)
gen Lequipment_it = log(equipment_it)
gen Lauto_it = log(auto_it)
gen Lpublicfinance_it = log(publicfinance_it)
gen Lpublicpolicy_it= log(publicpolicy_it)
gen Lstatelocal_it= log(statelocal_it)

 
gen Ljobs_sp=log(jobs_sp)
gen Lfpnews_sp = log(fpnews_sp)
gen Leconews_sp = log(econews_sp)
gen Lmanufacturing_sp = log(manufacturing_sp)
gen Lcredit_sp = log(credit_sp)
gen Lfx_sp = log(fx_sp)
gen Lproperty_sp = log(property_sp)
gen Lconstruction_sp = log(construction_sp)
gen Lequipment_sp = log(equipment_sp)
gen Lauto_sp = log(auto_sp)
gen Lpublicfinance_sp = log(publicfinance_sp)
gen Lpublicpolicy_sp= log(publicpolicy_sp)
gen Lstatelocal_sp= log(statelocal_sp)

 

*************************************************
gen t=_n

reg Ljobs_us t
predict xLjobs_us    , residuals
reg Lfpnews_us t
predict xLfpnews_us    , residuals
reg Leconews_us t
predict xLeconews_us    , residuals
reg Lmanufacturing_us t
predict xLmanufacturing_us    , residuals
reg Lcredit_us t
predict xLcredit_us    , residuals
reg Lfx_us t
predict xLfx_us    , residuals
reg Lproperty_us t
predict xLproperty_us    , residuals
reg Lconstruction_us t
predict xLconstruction_us    , residuals
reg Lequipment_us t
predict xLequipment_us    , residuals
reg Lauto_us t
predict xLauto_us    , residuals

reg Lpublicfinance_us t
predict xLpublicfinance_us   , residuals
reg Lpublicpolicy_us  t
predict xLpublicpolicy_us   , residuals
reg Lstatelocal_us t
predict xLstatelocal_us   , residuals

reg Ljobs_de t
predict xLjobs_de    , residuals
reg Lfpnews_de t
predict xLfpnews_de    , residuals
reg Leconews_de t
predict xLeconews_de    , residuals
reg Lmanufacturing_de t
predict xLmanufacturing_de    , residuals
reg Lcredit_de t
predict xLcredit_de    , residuals
reg Lfx_de t
predict xLfx_de    , residuals
reg Lproperty_de t
predict xLproperty_de    , residuals
reg Lconstruction_de t
predict xLconstruction_de    , residuals
reg Lequipment_de t
predict xLequipment_de    , residuals
reg Lauto_de t
predict xLauto_de    , residuals
reg Lpublicfinance_de t
predict xLpublicfinance_de   , residuals
reg Lpublicpolicy_de  t
predict xLpublicpolicy_de   , residuals
reg Lstatelocal_de t
predict xLstatelocal_de   , residuals

reg Ljobs_fr t
predict xLjobs_fr    , residuals
reg Lfpnews_fr t
predict xLfpnews_fr    , residuals
reg Leconews_fr t
predict xLeconews_fr    , residuals
reg Lmanufacturing_fr t
predict xLmanufacturing_fr    , residuals
reg Lcredit_fr t
predict xLcredit_fr    , residuals
reg Lfx_fr t
predict xLfx_fr    , residuals
reg Lproperty_fr t
predict xLproperty_fr    , residuals
reg Lconstruction_fr t
predict xLconstruction_fr    , residuals
reg Lequipment_fr t
predict xLequipment_fr    , residuals
reg Lauto_fr t
predict xLauto_fr    , residuals
reg Lpublicfinance_fr t
predict xLpublicfinance_fr   , residuals
reg Lpublicpolicy_fr  t
predict xLpublicpolicy_fr   , residuals
reg Lstatelocal_fr t
predict xLstatelocal_fr   , residuals

reg Ljobs_it t
predict xLjobs_it    , residuals
reg Lfpnews_it t
predict xLfpnews_it    , residuals
reg Leconews_it t
predict xLeconews_it    , residuals
reg Lmanufacturing_it t
predict xLmanufacturing_it    , residuals
reg Lcredit_it t
predict xLcredit_it    , residuals
reg Lfx_it t
predict xLfx_it    , residuals
reg Lproperty_it t
predict xLproperty_it    , residuals
reg Lconstruction_it t
predict xLconstruction_it    , residuals
reg Lequipment_it t
predict xLequipment_it    , residuals
reg Lauto_it t
predict xLauto_it    , residuals
reg Lpublicfinance_it t
predict xLpublicfinance_it   , residuals
reg Lpublicpolicy_it  t
predict xLpublicpolicy_it   , residuals
reg Lstatelocal_it t
predict xLstatelocal_it   , residuals

reg Ljobs_sp t
predict xLjobs_sp    , residuals
reg Lfpnews_sp t
predict xLfpnews_sp    , residuals
reg Leconews_sp t
predict xLeconews_sp    , residuals
reg Lmanufacturing_sp t
predict xLmanufacturing_sp    , residuals
reg Lcredit_sp t
predict xLcredit_sp    , residuals
reg Lfx_sp t
predict xLfx_sp    , residuals
reg Lproperty_sp t
predict xLproperty_sp    , residuals
reg Lconstruction_sp t
predict xLconstruction_sp    , residuals
reg Lequipment_sp t
predict xLequipment_sp    , residuals
reg Lauto_sp t
predict xLauto_sp    , residuals
reg Lpublicfinance_sp t
predict xLpublicfinance_sp   , residuals
reg Lpublicpolicy_sp  t
predict xLpublicpolicy_sp  , residuals
reg Lstatelocal_sp t
predict xLstatelocal_sp   , residuals
 

  
pca xLjobs_us xLfpnews_us  xLeconews_us  xLmanufacturing_us   xLcredit_us   xLfx_us   xLproperty_us xLequipment_us xLconstruction_us  xLauto_us   , mineigen(1) 
estat kmo
predict Lf1_us  Lf2_us Lf3_us
replace Lf2_us=-Lf2_us
pca xLjobs_it xLfpnews_it xLeconews_it  xLmanufacturing_it   xLcredit_it   xLfx_it   xLproperty_it xLequipment_it xLconstruction_it  xLauto_it   , mineigen(1) 
estat kmo
predict Lf1_it  Lf2_it Lf3_it 
pca xLjobs_de xLfpnews_de xLeconews_de  xLmanufacturing_de   xLcredit_de   xLfx_de   xLproperty_de xLequipment_de xLconstruction_de  xLauto_de   , mineigen(1) 
estat kmo
predict Lf1_de  Lf2_de
pca xLjobs_fr xLfpnews_fr xLeconews_fr  xLmanufacturing_fr   xLcredit_fr  xLfx_fr   xLproperty_fr xLequipment_fr xLconstruction_fr  xLauto_fr  , mineigen(1) 
estat kmo
predict Lf1_fr  Lf2_fr  Lf3_fr 
replace Lf2_fr=-Lf2_fr
pca xLjobs_sp xLfpnews_sp xLeconews_sp  xLmanufacturing_sp   xLcredit_sp   xLfx_sp   xLproperty_sp  xLequipment_sp  xLconstruction_sp   xLauto_sp    , mineigen(1) 
estat kmo
predict Lf1_sp Lf2_sp Lf3_sp
replace Lf2_sp=-Lf2_sp


pca xLjobs_sp xLfpnews_sp xLeconews_sp  xLmanufacturing_sp   xLcredit_sp   xLfx_sp   xLproperty_sp  xLequipment_sp  xLconstruction_sp   xLauto_sp  xLjobs_fr xLfpnews_fr xLeconews_fr  xLmanufacturing_fr   xLcredit_fr  xLfx_fr   xLproperty_fr xLequipment_fr xLconstruction_fr  xLauto_fr xLjobs_de xLfpnews_de xLeconews_de  xLmanufacturing_de   xLcredit_de   xLfx_de   xLproperty_de xLequipment_de xLconstruction_de  xLauto_de xLjobs_it xLfpnews_it xLeconews_it  xLmanufacturing_it   xLcredit_it   xLfx_it   xLproperty_it xLequipment_it xLconstruction_it  xLauto_it   , mineigen(1) 
estat kmo
predict Lf1_eu  Lf2_eu Lf3_eu




label var jobs_us "United States: Jobs"
label var fpnews_us  "Fiscal policy news"
label var econews_us "Economy news"
label var manufacturing_us "Manufacturing"
label var credit_us  "Lending and Credit"
label var fx_us "Currency and Foreign exchange"
label var property_us "Property"
label var equipment_us "Industrial Materials and Equipment"
label var construction_us "Construction and Maintainance"
label var auto_us "Automobile industry"
label var Lf1_us  "Global Factor 1"
label var Lf2_us "Global Factor 2"
label var Lf3_us "Global Factor 3"

label var Lf1_eu  "European Factor 1"
label var Lf2_eu "European Factor 2"
label var Lf3_eu "European Factor 3"

label var xLjobs_us "United States: Jobs"
label var xLfpnews_us  "Fiscal policy news"
label var xLeconews_us "Economy news"
label var xLmanufacturing_us "Manufacturing"
label var xLcredit_us  "Lending and Credit"
label var xLfx_us "Currency and Foreign exchange"
label var xLproperty_us "Property"
label var xLequipment_us "Industrial Materials and Equipment"
label var xLconstruction_us "Construction and Maintainance"
label var xLauto_us "Automobile industry"
label var Lf1_us  "Global Factor 1"
label var Lf2_us "Global Factor 2"
label var Lf3_us "Global Factor 3"


label var Lf1_us "United States: factor 1"
label var Lf2_us "United States: factor 2"
label var Lf3_us "United States: factor 3"

label var Lf1_de "Germany: factor 1"
label var Lf2_de "Germany: factor 2"

label var Lf1_fr "France: factor 1"
label var Lf2_fr "France: factor 2"
label var Lf3_fr "France: factor 3"

label var Lf1_it "Italy: factor 1"
label var Lf2_it "Italy: factor 2"
label var Lf3_it "Italy: factor 3"

label var Lf1_sp "Spain: factor 1"
label var Lf2_sp "Spain: factor 2"
label var Lf3_sp "Spain: factor 3"




tsset WeekDD, weekly
twoway (tsline xLeconews_us if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick) ), ttitle(Date) title("United States: Economy news", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "econews_us.eps", as (eps)  replace
twoway (tsline xLfpnews_us  if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick) ), ttitle(Date) title("United States: Fiscal policy news", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "fpnews_us.eps", as (eps)  replace
twoway (tsline xLjobs_us  if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick) ), ttitle(Date) title("United States: Jobs", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "jobs_us.eps", as (eps)  replace
twoway (tsline xLmanufacturing_us  if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick) ), ttitle(Date) title("United States: Manufacturing", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "manufacturing_us.eps", as (eps)  replace
twoway (tsline xLcredit_us if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("United States: Lending and Credit", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "credit_us.eps", as (eps)  replace
twoway (tsline xLfx_us if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("United States: Currency and Foreign exchange", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "fx_us.eps", as (eps)  replace
twoway (tsline xLproperty_us if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("United States: Property", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "property_us.eps", as (eps)  replace
twoway (tsline xLequipment_us if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("United States: Industrial Materials and Equipment", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "equipment_us.eps", as (eps)  replace
twoway (tsline xLconstruction_us if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("United States: Construction and Maintainance", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "construction_us.eps", as (eps)  replace
twoway (tsline  xLauto_us if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("United States: Automobile industry", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "auto_us.eps", as (eps)  replace




twoway (tsline  Lf1_us  if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("United States: factor 1", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f1_us.eps", as (eps)  replace
twoway (tsline Lf2_us if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("United States: factor 2", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f2_us.eps", as (eps)  replace
twoway (tsline  Lf3_us if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("United States: factor 3", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f3_us.eps", as (eps)  replace

twoway (tsline  Lf1_de  if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Germany: factor 1", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f1_de.eps", as (eps)  replace
twoway (tsline Lf2_de if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Germany: factor 2", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f2_de.eps", as (eps)  replace

twoway (tsline  Lf1_fr  if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("France: factor 1", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f1_fr.eps", as (eps)  replace
twoway (tsline Lf2_fr if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("France: factor 2", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f2_fr.eps", as (eps)  replace
twoway (tsline  Lf3_fr if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("France: factor 3", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f3_fr.eps", as (eps)  replace


twoway (tsline  Lf1_it  if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Italy: factor 1", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f1_it.eps", as (eps)  replace
twoway (tsline Lf2_it if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Italy: factor 2", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f2_it.eps", as (eps)  replace
twoway (tsline  Lf3_it if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Italy: factor 3", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f3_it.eps", as (eps)  replace


twoway (tsline  Lf1_sp  if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Spain: factor 1", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f1_sp.eps", as (eps)  replace
twoway (tsline Lf2_sp if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Spain: factor 2", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f2_sp.eps", as (eps)  replace
twoway (tsline  Lf3_sp if time2>=16072 & time2<=18928, lcolor(red) lwidth(medthick)  ), ttitle(Date) title("Spain: factor 3", size(vlarge) justification(center)) legend(rows(1)) xlabel(, valuelabel) scheme(s2mono) graphregion(fcolor(white))
graph export "f3_sp.eps", as (eps)  replace


correl Lf1_eu Lf1_us  Lf2_us Lf3_us 
correl Lf2_eu Lf1_us  Lf2_us Lf3_us
correl Lf3_eu Lf1_us  Lf2_us Lf3_us

save data5_logs.dta, replace
saveold data5old.dta, replace


