**-----------------------------------------------*
* Do file to run Volatility in Euro Area        *
* Pedro Gomes                                   *
* Abderrahim Taamouti					*
*  			                              *
* First Created February 2012                   *
* Updated  February 2013                        *
*---------------------------------------------- *


* Increase memory size
clear all
set mem 450m
set matsize 800
set more off
set logtype text

* Set working directory

cd "C:\STATACodes"

use data5_logs.dta, clear

************************
**Marginal regressios **
************************
dfuller Lf1_us, lags(4)
dfuller Lf2_us, lags(4)
dfuller Lf3_us, lags(4)

dfuller Lf1_de, lags(4)
dfuller Lf2_de, lags(4)

dfuller Lf1_fr, lags(4)
dfuller Lf2_fr, lags(4)
dfuller Lf3_fr, lags(4)

dfuller Lf1_it, lags(4)
dfuller Lf2_it, lags(4)
dfuller Lf3_it, lags(4)

dfuller Lf1_sp, lags(4)
dfuller Lf2_sp, lags(4)
dfuller Lf3_sp, lags(4)
    
   
   
reg Lf1_us xLjobs_us
reg Lf1_us xLfpnews_us
reg Lf1_us xLeconews_us  
*reg Lf1_us xLmanufacturing_us   
*reg Lf1_us xLcredit_us   
reg Lf1_us xLfx_us   
*reg Lf1_us xLproperty_us 
*reg Lf1_us xLequipment_us 
*reg Lf1_us xLconstruction_us  
*reg Lf1_us xLauto_us  

*reg Lf2_us xLjobs_us
*reg Lf2_us xLfpnews_us
*reg Lf2_us xLeconews_us  
*reg Lf2_us xLmanufacturing_us   
reg Lf2_us xLcredit_us   
*reg Lf2_us xLfx_us   
reg Lf2_us xLproperty_us 
*reg Lf2_us xLequipment_us 
reg Lf2_us xLconstruction_us  
*reg Lf2_us xLauto_us  

*reg Lf3_us xLjobs_us
*reg Lf3_us xLfpnews_us
*reg Lf3_us xLeconews_us  
reg Lf3_us xLmanufacturing_us   
reg Lf3_us xLcredit_us   
*reg Lf3_us xLfx_us   
*reg Lf3_us xLproperty_us 
reg Lf3_us xLequipment_us 
*reg Lf3_us xLconstruction_us  
*reg Lf3_us xLauto_us  



reg Lf1_de jobs_de 
*reg Lf1_de fpnews_de 
*reg Lf1_de econews_de 
*reg Lf1_de manufacturing_de 
reg Lf1_de credit_de 
*reg Lf1_de fx_de 
*reg Lf1_de property_de 
*reg Lf1_de equipment_de 
reg Lf1_de construction_de 
*reg Lf1_de auto_de 


*reg Lf2_de jobs_de 
reg Lf2_de fpnews_de 
*reg Lf2_de econews_de 
*reg Lf2_de manufacturing_de 
*reg Lf2_de credit_de 
reg Lf2_de fx_de 
*reg Lf2_de property_de 
*reg Lf2_de equipment_de 
reg Lf2_de construction_de 
*reg Lf2_de auto_de 


*reg Lf1_fr jobs_fr 
*reg Lf1_fr fpnews_fr 
reg Lf1_fr econews_fr 
*reg Lf1_fr manufacturing_fr 
*reg Lf1_fr credit_fr 
*reg Lf1_fr fx_fr 
*reg Lf1_fr property_fr 
reg Lf1_fr equipment_fr 
reg Lf1_fr construction_fr 
*reg Lf1_fr auto_fr 

*reg Lf2_fr jobs_fr 
*reg Lf2_fr fpnews_fr 
*reg Lf2_fr econews_fr 
*reg Lf2_fr manufacturing_fr 
reg Lf2_fr credit_fr 
reg Lf2_fr fx_fr 
reg Lf2_fr property_fr 
*reg Lf2_fr equipment_fr 
*reg Lf2_fr construction_fr 
*reg Lf2_fr auto_fr 


*reg Lf3_fr jobs_fr 
*reg Lf3_fr fpnews_fr 
reg Lf3_fr econews_fr 
*reg Lf3_fr manufacturing_fr 
*reg Lf3_fr credit_fr 
reg Lf3_fr fx_fr 
reg Lf3_fr property_fr 
*reg Lf3_fr equipment_fr 
*reg Lf3_fr construction_fr 
*reg Lf3_fr auto_fr 



reg Lf1_it jobs_it 
*reg Lf1_it fpnews_it 
*reg Lf1_it econews_it 
*reg Lf1_it manufacturing_it 
reg Lf1_it credit_it 
*reg Lf1_it fx_it 
reg Lf1_it property_it 
*reg Lf1_it equipment_it 
*reg Lf1_it construction_it 
*reg Lf1_it auto_it 


*reg Lf2_it jobs_it 
reg Lf2_it fpnews_it 
*reg Lf2_it econews_it 
*reg Lf2_it manufacturing_it 
*reg Lf2_it credit_it 
reg Lf2_it fx_it 
reg Lf2_it property_it 
*reg Lf2_it equipment_it 
*reg Lf2_it construction_it 
*reg Lf2_it auto_it 


*reg Lf3_it jobs_it 
*reg Lf3_it fpnews_it 
reg Lf3_it econews_it 
*reg Lf3_it manufacturing_it 
*reg Lf3_it credit_it 
reg Lf3_it fx_it 
*reg Lf3_it property_it 
*reg Lf3_it equipment_it 
*reg Lf3_it construction_it 
reg Lf3_it auto_it 


*reg Lf1_sp jobs_sp 
reg Lf1_sp  fpnews_sp 
*reg Lf1_sp econews_sp 
*reg Lf1_sp manufacturing_sp 
reg Lf1_sp credit_sp 
reg Lf1_sp fx_sp 
*reg Lf1_sp property_sp 
*reg Lf1_sp equipment_sp 
*reg Lf1_sp construction_sp 
*reg Lf1_sp auto_sp 


*reg Lf2_sp jobs_sp 
*reg Lf2_sp  fpnews_sp 
reg Lf2_sp econews_sp 
*reg Lf2_sp manufacturing_sp 
*reg Lf2_sp credit_sp 
*reg Lf2_sp fx_sp 
reg Lf2_sp property_sp 
*reg Lf2_sp equipment_sp 
*reg Lf2_sp construction_sp 
reg Lf2_sp auto_sp 



*reg Lf3_sp jobs_sp 
reg Lf3_sp  fpnews_sp 
*reg Lf3_sp econews_sp 
*reg Lf3_sp manufacturing_sp 
reg Lf3_sp credit_sp 
reg Lf3_sp fx_sp 
*reg Lf3_sp property_sp 
*reg Lf3_sp equipment_sp 
*reg Lf3_sp construction_sp 
*reg Lf3_sp auto_sp 

