
**-----------------------------------------------*
* Do file to run Volatility in Euro Area        *
* Pedro Gomes                                   *
* Abderrahim Taamouti					*
* Antonio Afonso                                *
* First Created February 2012                   *
* Updated  February 2012                        *
*---------------------------------------------- *


* Increase memory size
clear all
set mem 450m
set matsize 800
set more off
set logtype text

* Set working directory

cd "C:\STATACodes"

use data5_logs.dta, clear
drop _merge
tsset WeekDD, weekly
merge WeekDD using EconomicWeeklyA.dta

save EconomicVariablesWeeklyA.dta, replace
tsset WeekDD, weekly

replace Month = substr(date,4,3) if time>=20000 
gen XXX = substr(date,8,2) if time>=20000 

destring XXX, replace
replace Year=2000+XXX if time>=20000 
drop XXX


gen lcomout=log(COMPOUT)
gen lM2=log(M2)
gen dlM2=log(M2)-log(L.M2)
gen lM1=log(M1)
gen dlM1=log(M1)-log(L.M1)
gen lCCSA=log(CCSA)
gen lSTLFSI =log(STLFSI)
gen lTWEXN=log(TWEXN)
gen lWCOILWTICO=log(WCOILWTICO) 

dfuller lM1, trend lags(4)
dfuller lM2, trend lags(4)
dfuller lcomout, trend lags(4)
dfuller WRMORTG,  lags(4)
dfuller WGS10YR,  lags(4)
dfuller WAAA,  lags(4)
dfuller lSTLFSI, trend lags(4)
dfuller lTWEXN, trend lags(4)
dfuller lWCOILWTICO, trend lags(4)
dfuller lCCSA, trend lags(4)


reg d.lM1 Lf1_us Lf2_us Lf3_us 
reg d.lM2 Lf1_us Lf2_us Lf3_us 
reg d.lcomout Lf1_us Lf2_us Lf3_us 
reg d.WRMORTG Lf1_us Lf2_us Lf3_us 
reg d.WGS10YR Lf1_us Lf2_us Lf3_us 
reg d.WAAA Lf1_us Lf2_us Lf3_us 
reg d.lSTLFSI Lf1_us Lf2_us Lf3_us 
reg d.lTWEXN Lf1_us Lf2_us Lf3_us 
reg d.lWCOILWTICO Lf1_us Lf2_us Lf3_us 
reg d.lCCSA Lf1_us Lf2_us Lf3_us 

reg Lf1_us d.lM1 
reg Lf1_us d.lM2 
reg Lf1_us d.lcomout 
reg Lf1_us d.WRMORTG 
reg Lf1_us d.WGS10YR 
reg Lf1_us d.WAAA 
reg Lf1_us d.lSTLFSI 
reg Lf1_us d.lTWEXN 
reg Lf1_us d.lWCOILWTICO 
reg Lf1_us d.lCCSA 

reg Lf2_us d.lM1 
reg Lf2_us d.lM2 
reg Lf2_us d.lcomout 
reg Lf2_us d.WRMORTG 
reg Lf2_us d.WGS10YR 
reg Lf2_us d.WAAA 
reg Lf2_us d.lSTLFSI 
reg Lf2_us d.lTWEXN 
reg Lf2_us d.lWCOILWTICO 
reg Lf2_us d.lCCSA 

reg Lf3_us d.lM1 
reg Lf3_us d.lM2 
reg Lf3_us d.lcomout 
reg Lf3_us d.WRMORTG 
reg Lf3_us d.WGS10YR 
reg Lf3_us d.WAAA 
reg Lf3_us d.lSTLFSI 
reg Lf3_us d.lTWEXN 
reg Lf3_us d.lWCOILWTICO 
reg Lf3_us d.lCCSA 

save EconomicVariablesWeekly.dta, replace
saveold EconomicVariablesWeeklyold.dta, replace

