**-----------------------------------------------*
* Do file to run Volatility in Euro Area        *
* Pedro Gomes                                   *
* Abderrahim Taamouti					*
* Antonio Afonso                                *
* First Created February 2012                   *
* Updated  February 2012                        *
*---------------------------------------------- *


* Increase memory size
clear all
set mem 450m
set matsize 800
set more off
set logtype text

* Set working directory

cd "C:\STATACodes"
use EconomicVariablesWeekly.dta, clear

keep COV_fr_Y_de_Y COV_it_Y_de_Y COV_de_Y_sp_Y COV_fr_Y_it_Y COV_fr_Y_sp_Y COV_it_Y_sp_Y COV_fr_S_de_S COV_it_S_de_S COV_de_S_sp_S COV_fr_S_it_S COV_fr_S_sp_S COV_it_S_sp_S   Wsp_S Wde_S Wfr_S Wit_S Wsp_Y Wde_Y Wfr_Y Wit_Y date time2 time Month Year jan feb mar abr may jun jul aug sep oct nov dec Year02 Year03 Year04 Year05 Year06 Year07 Year08 Year09 Year10 Year11 WeekD jobs_us fpnews_us manufacturing_us property_us equipment_us econews_us fx_us credit_us construction_us auto_us Lf1_us Lf2_us Lf3_us xf1_de xf2_de xf1_fr xf2_fr xf3_fr xf1_it xf2_it xf3_it xf1_sp xf2_sp xf3_sp

tsset WeekD, weekly
gen MonthN=1 if Month=="Jan"
replace MonthN=2 if Month=="Feb"
replace MonthN=3 if Month=="Mar"
replace MonthN=4 if Month=="Apr"
replace MonthN=5 if Month=="May"
replace MonthN=6 if Month=="Jun"
replace MonthN=7 if Month=="Jul"
replace MonthN=8 if Month=="Aug"
replace MonthN=9 if Month=="Sep"
replace MonthN=10 if Month=="Oct"
replace MonthN=11 if Month=="Nov"
replace MonthN=12 if Month=="Dec"

gen Mjobs_us  =(jobs_us  + L.jobs_us +L2.jobs_us +L3.jobs_us)/4
gen Mfpnews_us  =(fpnews_us  + L.fpnews_us +L2.fpnews_us +L3.fpnews_us )/4
gen Mmanufacturing_us = (manufacturing_us+ L.manufacturing_us+L2.manufacturing_us+L3.manufacturing_us)/4
gen Mproperty_us  = (property_us + L.property_us +L2.property_us +L3.property_us )/4
gen Mequipment_us  = (equipment_us + L.equipment_us +L2.equipment_us +L3.equipment_us)/4 
gen Meconews_us  = (econews_us  + L.econews_us +L2.econews_us +L3.econews_us )/4
gen Mfx_us  = (fx_us + L.fx_us +L2.fx_us +L3.fx_us )/4
gen Mcredit_us  = (credit_us + L.credit_us +L2.credit_us +L3.credit_us )/4
gen Mconstruction_us  =(construction_us  + L.construction_us +L2.construction_us +L3.construction_us)/4 
gen Mauto_us  = (auto_us + L.auto_us +L2.auto_us +L3.auto_us )/4

gen Mf1_us  = (Lf1_us + L.Lf1_us +L2.Lf1_us +L3.Lf1_us )/4
gen Mf2_us  =(Lf2_us  + L.Lf2_us +L2.Lf2_us +L3.Lf2_us )/4
gen Mf3_us =(Lf3_us + L.Lf3_us+L2.Lf3_us+L3.Lf3_us)/4

gen Mxf1_de =(xf1_de + L.xf1_de+L2.xf1_de+L3.xf1_de)/4
gen Mxf2_de =(xf2_de + L.xf2_de+L2.xf2_de+L3.xf2_de)/4
gen Mxf1_fr =(xf1_fr + L.xf1_fr+L2.xf1_fr+L3.xf1_fr)/4
gen Mxf2_fr =(xf2_fr + L.xf2_fr+L2.xf2_fr+L3.xf2_fr)/4
gen Mxf3_fr =(xf3_fr + L.xf3_fr+L2.xf3_fr+L3.xf3_fr)/4
gen Mxf1_it =(xf1_it + L.xf1_it+L2.xf1_it+L3.xf1_it)/4
gen Mxf2_it =(xf2_it + L.xf2_it+L2.xf2_it+L3.xf2_it)/4
gen Mxf3_it =(xf3_it+ L.xf3_it+L2.xf3_it+L3.xf3_it)/4
gen Mxf1_sp =(xf1_sp + L.xf1_sp+L2.xf1_sp+L3.xf1_sp)/4
gen Mxf2_sp =(xf2_sp + L.xf2_sp+L2.xf2_sp+L3.xf2_sp)/4
gen Mxf3_sp =(xf3_sp + L.xf3_sp+L2.xf3_sp+L3.xf3_sp)/4

gen MCOV_fr_Y_de_Y =(COV_fr_Y_de_Y + L.COV_fr_Y_de_Y+L2.COV_fr_Y_de_Y+L3.COV_fr_Y_de_Y)/4
gen MCOV_it_Y_de_Y =(COV_it_Y_de_Y + L.COV_it_Y_de_Y+L2.COV_it_Y_de_Y+L3.COV_it_Y_de_Y)/4
gen MCOV_de_Y_sp_Y =(COV_de_Y_sp_Y + L.COV_de_Y_sp_Y+L2.COV_de_Y_sp_Y+L3.COV_de_Y_sp_Y)/4
gen MCOV_fr_Y_it_Y =(COV_fr_Y_it_Y + L.COV_fr_Y_it_Y+L2.COV_fr_Y_it_Y+L3.COV_fr_Y_it_Y)/4
gen MCOV_fr_Y_sp_Y =(COV_fr_Y_sp_Y + L.COV_fr_Y_sp_Y+L2.COV_fr_Y_sp_Y+L3.COV_fr_Y_sp_Y)/4
gen MCOV_it_Y_sp_Y =(COV_it_Y_sp_Y + L.COV_it_Y_sp_Y+L2.COV_it_Y_sp_Y+L3.COV_it_Y_sp_Y)/4

gen MCOV_fr_S_de_S =(COV_fr_S_de_S + L.COV_fr_S_de_S+L2.COV_fr_S_de_S+L3.COV_fr_S_de_S)/4
gen MCOV_it_S_de_S =(COV_it_S_de_S + L.COV_it_S_de_S+L2.COV_it_S_de_S+L3.COV_it_S_de_S)/4
gen MCOV_de_S_sp_S =(COV_de_S_sp_S + L.COV_de_S_sp_S+L2.COV_de_S_sp_S+L3.COV_de_S_sp_S)/4
gen MCOV_fr_S_it_S =(COV_fr_S_it_S + L.COV_fr_S_it_S+L2.COV_fr_S_it_S+L3.COV_fr_S_it_S)/4
gen MCOV_fr_S_sp_S =(COV_fr_S_sp_S + L.COV_fr_S_sp_S+L2.COV_fr_S_sp_S+L3.COV_fr_S_sp_S)/4
gen MCOV_it_S_sp_S =(COV_it_S_sp_S + L.COV_it_S_sp_S+L2.COV_it_S_sp_S+L3.COV_it_S_sp_S)/4

*COV_fr_Y_de_Y COV_it_Y_de_Y COV_de_Y_sp_Y COV_fr_Y_it_Y COV_fr_Y_sp_Y COV_it_Y_sp_Y COV_fr_S_de_S COV_it_S_de_S COV_de_S_sp_S COV_fr_S_it_S COV_fr_S_sp_S COV_it_S_sp_S 


gen Msp_S=  Wsp_S+ L.Wsp_S + L2.Wsp_S + L3.Wsp_S
gen Mde_S = Wde_S+ L.Wde_S + L2.Wde_S + L3.Wde_S
gen Mfr_S = Wfr_S+ L.Wfr_S + L2.Wfr_S + L3.Wfr_S
gen Mit_S = Wit_S+ L.Wit_S + L2.Wit_S + L3.Wit_S
gen Msp_Y = Wsp_Y+ L.Wsp_Y + L2.Wsp_Y + L3.Wsp_Y
gen Mde_Y = Wde_Y+ L.Wde_Y + L2.Wde_Y + L3.Wde_Y
gen Mfr_Y = Wfr_Y+ L.Wfr_Y + L2.Wfr_Y + L3.Wfr_Y
gen Mit_Y = Wit_Y+ L.Wit_Y + L2.Wit_Y + L3.Wit_Y





replace Mjobs_us  =(jobs_us  + L.jobs_us +L2.jobs_us +L3.jobs_us + L4.jobs_us)/5  if MonthN==L4.MonthN & time2!=16100
replace Mfpnews_us =( fpnews_us + L.fpnews_us +L2.fpnews_us +L3.fpnews_us + L4.fpnews_us)/5  if MonthN==L4.MonthN & time2!=16100
replace Mmanufacturing_us =( manufacturing_us + L.manufacturing_us+L2.manufacturing_us+L3.manufacturing_us+ L4.manufacturing_us)/5  if MonthN==L4.MonthN & time2!=16100
replace Mproperty_us  =( property_us  + L.property_us +L2.property_us +L3.property_us + L4.property_us)/5  if MonthN==L4.MonthN & time2!=16100
replace Mequipment_us  = ( equipment_us + L.equipment_us +L2.equipment_us +L3.equipment_us + L4.equipment_us)/5  if MonthN==L4.MonthN & time2!=16100
replace Meconews_us = ( econews_us+ L.econews_us+L2.econews_us+L3.econews_us+ L4.econews_us)/5  if MonthN==L4.MonthN & time2!=16100
replace Mfx_us  =( fx_us  + L.fx_us +L2.fx_us +L3.fx_us + L4.fx_us )/5  if MonthN==L4.MonthN & time2!=16100
replace Mcredit_us  =( credit_us  + L.credit_us +L2.credit_us +L3.credit_us + L4.credit_us )/5  if MonthN==L4.MonthN & time2!=16100
replace Mconstruction_us  = ( construction_us + L.construction_us +L2.construction_us +L3.construction_us + L4.construction_us)/5  if MonthN==L4.MonthN & time2!=16100
replace Mauto_us  =( auto_us  + L.auto_us +L2.auto_us +L3.auto_us + L4.auto_us)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf1_us  = ( Lf1_us + L.Lf1_us +L2.Lf1_us +L3.Lf1_us + L4.Lf1_us)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf2_us  =( Lf2_us  + L.Lf2_us +L2.Lf2_us +L3.Lf2_us + L4.Lf2_us)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf3_us =( Lf3_us  + L.Lf3_us+L2.Lf3_us+L3.Lf3_us+ L4.Lf3_us )/5  if MonthN==L4.MonthN & time2!=16100

replace Mxf1_de =(xf1_de + L.xf1_de+L2.xf1_de+L3.xf1_de+L4.xf1_de)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf2_de =(xf2_de + L.xf2_de+L2.xf2_de+L3.xf2_de+L4.xf2_de)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf1_fr =(xf1_fr + L.xf1_fr+L2.xf1_fr+L3.xf1_fr+L4.xf1_fr)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf2_fr =(xf2_fr + L.xf2_fr+L2.xf2_fr+L3.xf2_fr+L4.xf2_fr)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf3_fr =(xf3_fr + L.xf3_fr+L2.xf3_fr+L3.xf3_fr+L4.xf3_fr)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf1_it =(xf1_it + L.xf1_it+L2.xf1_it+L3.xf1_it+L4.xf1_it)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf2_it =(xf2_it + L.xf2_it+L2.xf2_it+L3.xf2_it+L4.xf2_it)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf3_it =(xf3_it + L.xf3_it+L2.xf3_it+L3.xf3_it+L4.xf3_it)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf1_sp =(xf1_sp + L.xf1_sp+L2.xf1_sp+L3.xf1_sp+L4.xf1_sp)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf2_sp =(xf2_sp + L.xf2_sp+L2.xf2_sp+L3.xf2_sp+L4.xf2_sp)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf3_sp =(xf3_sp + L.xf3_sp+L2.xf3_sp+L3.xf3_sp+L4.xf3_sp)/5  if MonthN==L4.MonthN & time2!=16100


replace MCOV_fr_Y_de_Y =(COV_fr_Y_de_Y + L.COV_fr_Y_de_Y+L2.COV_fr_Y_de_Y+L3.COV_fr_Y_de_Y+L3.COV_fr_Y_de_Y)/5 if MonthN==L4.MonthN & time2!=16100
replace MCOV_it_Y_de_Y =(COV_it_Y_de_Y + L.COV_it_Y_de_Y+L2.COV_it_Y_de_Y+L3.COV_it_Y_de_Y+L3.COV_it_Y_de_Y)/5 if MonthN==L4.MonthN & time2!=16100
replace MCOV_de_Y_sp_Y =(COV_de_Y_sp_Y + L.COV_de_Y_sp_Y+L2.COV_de_Y_sp_Y+L3.COV_de_Y_sp_Y+L3.COV_de_Y_sp_Y)/5 if MonthN==L4.MonthN & time2!=16100
replace MCOV_fr_Y_it_Y =(COV_fr_Y_it_Y + L.COV_fr_Y_it_Y+L2.COV_fr_Y_it_Y+L3.COV_fr_Y_it_Y+L3.COV_fr_Y_it_Y)/5 if MonthN==L4.MonthN & time2!=16100
replace MCOV_fr_Y_sp_Y =(COV_fr_Y_sp_Y + L.COV_fr_Y_sp_Y+L2.COV_fr_Y_sp_Y+L3.COV_fr_Y_sp_Y+L3.COV_fr_Y_sp_Y)/5 if MonthN==L4.MonthN & time2!=16100
replace MCOV_it_Y_sp_Y =(COV_it_Y_sp_Y + L.COV_it_Y_sp_Y+L2.COV_it_Y_sp_Y+L3.COV_it_Y_sp_Y+L3.COV_it_Y_sp_Y)/5 if MonthN==L4.MonthN & time2!=16100

replace MCOV_fr_S_de_S =(COV_fr_S_de_S + L.COV_fr_S_de_S+L2.COV_fr_S_de_S+L3.COV_fr_S_de_S+L4.COV_fr_S_de_S)/5 if MonthN==L4.MonthN & time2!=16100
replace MCOV_it_S_de_S =(COV_it_S_de_S + L.COV_it_S_de_S+L2.COV_it_S_de_S+L3.COV_it_S_de_S+L4.COV_it_S_de_S)/5 if MonthN==L4.MonthN & time2!=16100
replace MCOV_de_S_sp_S =(COV_de_S_sp_S + L.COV_de_S_sp_S+L2.COV_de_S_sp_S+L3.COV_de_S_sp_S+L4.COV_de_S_sp_S)/5 if MonthN==L4.MonthN & time2!=16100
replace MCOV_fr_S_it_S =(COV_fr_S_it_S + L.COV_fr_S_it_S+L2.COV_fr_S_it_S+L3.COV_fr_S_it_S+L4.COV_fr_S_it_S)/5 if MonthN==L4.MonthN & time2!=16100
replace MCOV_fr_S_sp_S =(COV_fr_S_sp_S + L.COV_fr_S_sp_S+L2.COV_fr_S_sp_S+L3.COV_fr_S_sp_S+L4.COV_fr_S_sp_S)/5 if MonthN==L4.MonthN & time2!=16100
replace MCOV_it_S_sp_S =(COV_it_S_sp_S + L.COV_it_S_sp_S+L2.COV_it_S_sp_S+L3.COV_it_S_sp_S+L4.COV_it_S_sp_S)/5 if MonthN==L4.MonthN & time2!=16100



replace Msp_S=  Wsp_S+ L.Wsp_S + L2.Wsp_S + L3.Wsp_S +L4.Wsp_S  if MonthN==L4.MonthN 
replace Mde_S = Wde_S+ L.Wde_S + L2.Wde_S + L3.Wde_S +L4.Wde_S  if MonthN==L4.MonthN 
replace Mfr_S = Wfr_S+ L.Wfr_S + L2.Wfr_S + L3.Wfr_S +L4.Wfr_S  if MonthN==L4.MonthN 
replace Mit_S = Wit_S+ L.Wit_S + L2.Wit_S + L3.Wit_S +L4.Wit_S  if MonthN==L4.MonthN 
replace Msp_Y = Wsp_Y+ L.Wsp_Y + L2.Wsp_Y + L3.Wsp_Y +L4.Wsp_Y  if MonthN==L4.MonthN 
replace Mde_Y = Wde_Y+ L.Wde_Y + L2.Wde_Y + L3.Wde_Y +L4.Wde_Y  if MonthN==L4.MonthN 
replace Mfr_Y = Wfr_Y+ L.Wfr_Y + L2.Wfr_Y + L3.Wfr_Y +L4.Wfr_Y  if MonthN==L4.MonthN 
replace Mit_Y = Wit_Y+ L.Wit_Y + L2.Wit_Y + L3.Wit_Y +L4.Wit_Y  if MonthN==L4.MonthN 




drop if  MonthN==f.MonthN

gen timeM=_n+503
tsset timeM, monthly

save EconomicVariablesMonthly, replace

clear
insheet using "Monthly.txt", tab
*insheet using "MonthlyL.txt", tab

rename timem timeM
tsset timeM, monthly
save EconomicMonthlyA, replace

use EconomicVariablesMonthly.dta, clear
tsset timeM, monthly
merge timeM using EconomicMonthlyA.dta



label var civpart "Civilian Labor Force Participation Rate"
label var unrate "Civilian Unemployment Rate"
label var uempmed "Median Duration of Unemployment (weeks)"
label var jts1000jor "Job Openings: Total Private (rate)"
label var jtstsr "Total Separations: Total Nonfarm (rate)"
label var jtsldr "Layoffs and Discharges: Total Nonfarm (rate)
label var jtsqur "Quits: Total Nonfarm (Rate)"
label var awhman "Average Weekly Hours of Production and Nonsupervisory Employees (hours)"

label var bopgimp "Imports of Goods: Balance of Payments Basis (millions of dollars)"
label var bopgstb  "Trade Balance: Goods and Services, Balance of Payments Basis (millions of dollars)"

label var businv "Inventories: Total Business (millions of dollars)"
label var dgorder "Manufacturers' New Orders: Durable Goods (millions of dollars)"
label var indpro "Industrial Production Index"
label var ipdcongd "Industrial Production: Durable Consumer Goods"
label var ipman "Industrial Production: Manufacturing (NAICS)"
label var rsafs "Retail and Food Services Sales (millions of dollars)"
label var tcu "Capacity Utilization: Total Industry"
label var tlpblcons "Total Public Construction Spending (millions of dollars)"
label var totalsa "Total Vehicle Sales (millions)"
label var ttlcons "Total Construction Spending (millions)"
label var totalsl "Total Consumer Credit Owned and Securitized, Outstanding (billions of dollars)"

label var comphai "Housing Affordability Index (Composite)"
label var houst "Housing Starts: Total: New Privately Owned Housing Units Started (thousands)"
label var hsn1fnsa "New Homes Sold in the United States (thousands)"
label var permit "New Private Housing Units Authorized by Building Permits (thousands)
label var spcs20rsa "S&P Case-Shiller 20-City Home Price Index"

label var cpiaucsl "Consumer Price Index for All Urban Consumers: All Items"
label var ppiitm "Producer Price Index: Intermediate Materials: Supplies & Components"
label var usacpiallminmei "Consumer Price Index: All Items for the United States"

label var  mich "University of Michigan Inflation Expectation"
label var napmnoi  "ISM Manufacturing: New Orders Index"
label var napm "ISM Manufacturing: PMI Composite Index"
label var usslind "Leading Index for the United States"
label var umcsent "University of Michigan: Consumer Sentiment"

label var ahetpi "Average Hourly Earnings of Production and Nonsupervisory Employees: Total Private (dollars per hour)"
label var pcec96 "Real Personal Consumption Expenditures (billions of dollars)"
label var pcedgc96 "Real Personal Consumption Expenditures: Durable Goods (billions of dollars)"
label var pcendc96 "Real Personal Consumption Expenditures: Nondurable Goods (billions of dollars)"
label var pi "Personal Income (billions of dollars)"
label var psavert "Personal Saving Rate"


**********************************

*Employment

gen t=_n

gen lawhman  =log(awhman )


dfuller civpart,  regress lags(1)
dfuller unrate,  regress lags(3)
dfuller uempmed,   lags(1)
dfuller jts1000jor,  regress lags(4)
dfuller jtstsr,  regress lags(2)
dfuller jtsldr,  regress lags(1)
dfuller jtsqur,  regress lags(1)
dfuller lawhman, trend regress lags(4)


reg  d.civpart Mf1_us Mf2_us Mf3_us 
reg  d.unrate Mf1_us Mf2_us Mf3_us 
reg  d.uempmed Mf1_us Mf2_us Mf3_us  
reg  d.jts1000jor  Mf1_us Mf2_us Mf3_us  
reg  d.jtstsr Mf1_us Mf2_us Mf3_us  
reg  d.jtsldr Mf1_us Mf2_us Mf3_us  
reg  d.jtsqur Mf1_us Mf2_us Mf3_us  
reg  d.lawhman Mf1_us Mf2_us Mf3_us 

************************************

*Trade
gen lbopgimp=log(bopgimp)
gen lbopgstb=log(-bopgstb)

dfuller lbopgimp, trend regress lags(4)
dfuller lbopgstb, trend regress lags(4)

reg d.lbopgimp  Mf1_us Mf2_us Mf3_us 
reg d.lbopgstb  Mf1_us Mf2_us Mf3_us 

************************************

gen lbusinv  =log(businv)
gen ldgorder  =log(dgorder)
gen lindpro  =log(indpro )
gen lipdcongd=log(ipdcongd)
gen lipman  =log(ipman )
gen lrsafs  =log(rsafs )

gen ltlpblcons  =log(tlpblcons)
gen ltotalsa  =log(totalsa)
gen lttlcons  =log(ttlcons)
gen ltotalsl  =log(totalsl)


dfuller lbusinv, trend regress lags(4)
dfuller ldgorder, trend regress lags(4)
dfuller lindpro, trend regress lags(4)
dfuller lipdcongd, trend regress lags(4)
dfuller lipman, trend regress lags(4)
dfuller lrsafs, trend regress lags(4)
dfuller tcu, trend regress lags(4)
dfuller ltlpblcons, trend regress lags(4)
dfuller ltotalsa, trend regress lags(4)
dfuller lttlcons, trend regress lags(4)
dfuller ltotalsl, trend regress lags(4)


reg d.lbusinv Mf1_us Mf2_us Mf3_us 
reg d.ldgorder   Mf1_us Mf2_us Mf3_us 
reg d.lindpro  Mf1_us Mf2_us Mf3_us 
reg d.lipdcongd Mf1_us Mf2_us Mf3_us
reg d.lipman  Mf1_us Mf2_us Mf3_us 
reg d.lrsafs  Mf1_us Mf2_us Mf3_us 
reg d.tcu Mf1_us Mf2_us Mf3_us 
reg d.ltlpblcons  Mf1_us Mf2_us Mf3_us 
reg d.ltotalsa  Mf1_us Mf2_us Mf3_us 
reg d.lttlcons  Mf1_us Mf2_us Mf3_us 
reg d.ltotalsl  Mf1_us Mf2_us Mf3_us 



***********************************
*Housing
 
gen lcomphai   =log(comphai)
gen lhoust  =log(houst )
gen lhsn1f  =log(hsn1f )
gen lhsn1fnsa  =log(hsn1fnsa )
gen lpermit  =log(permit )
gen lspcs20rsa =log(spcs20rsa)

dfuller lcomphai, trend regress lags(4)
dfuller lhoust, trend regress lags(4)
dfuller lhsn1f, trend regress lags(4)
dfuller lhsn1fnsa, trend regress lags(4)
dfuller lpermit, trend regress lags(4)
dfuller lspcs20rsa, trend regress lags(4)

reg d.lcomphai Mf1_us Mf2_us Mf3_us 
reg d.lhoust  Mf1_us Mf2_us Mf3_us 
reg d.lhsn1fnsa  Mf1_us Mf2_us Mf3_us 
reg d.lpermit  Mf1_us Mf2_us Mf3_us 
reg d.lspcs20rsa Mf1_us Mf2_us Mf3_us 

***********************************

*Prices
gen lusacpiallminmei  =log(usacpiallminmei )
gen lcpiaucsl  =log(cpiaucsl )
gen lppiitm  =log(ppiitm )

dfuller lusacpiallminmei, trend regress lags(4)
dfuller lcpiaucsl, trend regress lags(4)
dfuller lppiitm, trend regress lags(4)


reg d.lusacpiallminmei  Mf1_us Mf2_us Mf3_us 
reg d.lcpiaucsl  Mf1_us Mf2_us Mf3_us 
reg d.lppiitm Mf1_us Mf2_us Mf3_us 



************************************


************************************
************************************
*Indicators

gen lumcsent   =log(umcsent )
gen lnapmnoi  =log(napmnoi)
gen lnapm  =log(napm)
gen lusslind  =log(usslind)

dfuller mich, trend regress lags(4)
dfuller lumcsent,  regress lags(4)
dfuller lnapmnoi, trend regress lags(4)
dfuller lnapm, trend regress lags(4)
dfuller lusslind, trend regress lags(4)

reg lnapmnoi t
predict xlnapmnoi    , residuals

reg d.mich Mf1_us Mf2_us Mf3_us 
reg d.lumcsent Mf1_us Mf2_us Mf3_us 
reg xlnapmnoi  Mf1_us Mf2_us Mf3_us 
reg d.lnapm Mf1_us Mf2_us Mf3_us 
reg d.usslind Mf1_us Mf2_us Mf3_us 

************************************

gen lahetpi =log(ahetpi)
gen lpcec96   =log(pcec96 )
gen lpcedgc96   =log(pcedgc96 )
gen lpcendc96   =log(pcendc96 )
gen lpi   =log(pi )

dfuller lahetpi, trend regress lags(4)
dfuller lpcec96, trend regress lags(4)
dfuller lpcedgc96, trend regress lags(4)
dfuller lpcendc96, trend regress lags(4)
dfuller lpi, trend regress lags(4)
dfuller psavert,  regress lags(4)


reg d.lahetpi Mf1_us Mf2_us Mf3_us t
reg d.lpcec96  Mf1_us Mf2_us Mf3_us t
reg d.lpcedgc96 Mf1_us Mf2_us Mf3_us t
reg d.lpcendc96 Mf1_us Mf2_us Mf3_us t
reg d.lpi Mf1_us Mf2_us Mf3_us t
reg d.psavert Mf1_us Mf2_us Mf3_us t

***********************************

****************************************************************************************************************
****************************************************************************************************************
************************************************** Macro Factors************************************************
****************************************************************************************************************
****************************************************************************************************************

gen dunrate = d.unrate 
gen dlbopgimp = d.lbopgimp  
gen dlbopgstb = d.lbopgstb 
gen dlbusinv = d.lbusinv 
gen dldgorder   = d.ldgorder   
gen dlindpro  = d.lindpro  
gen dlipdcongd= d.lipdcongd 
gen dlipman   = d.lipman  
gen dlrsafs= d.lrsafs
gen dtcu = d.tcu 
gen dlttlcons = d.lttlcons 
gen dltotalsl = d.ltotalsl 
gen dlcomphai  = d.lcomphai  
gen dlpermit = d.lpermit 
gen dlspcs20rsa = d.lspcs20rsa 
gen dlppiitm = d.lppiitm 
gen dlnapmnoi  = d.lnapmnoi  
gen dlahetpi = d.lahetpi 
gen dlpcec96 = d.lpcec96 
gen dlpi = d.lpi      

pca dunrate dlbopgimp dlbopgstb dlbusinv dldgorder dlindpro dlipdcongd dlipman dlrsafs dtcu dlttlcons dltotalsl dlcomphai dlpermit dlspcs20rsa dlppiitm dlnapmnoi dlahetpi dlpcec96 dlpi,  mineigen(1) 
predict Macro_F1  Macro_F2 Macro_F3 Macro_F4  Macro_F5 Macro_F6


reg  unrate t
predict xunrate    , residuals
reg lbopgimp  t
predict xlbopgimp    , residuals
reg lbopgstb  t
predict xlbopgstb    , residuals
reg lbusinv t
predict xlbusinv  , residuals
reg ldgorder t
predict xldgorder  , residuals 
reg lindpro t
predict xlindpro   , residuals 
reg lipdcongd t
predict xlipdcongd   , residuals
reg lipman  t
predict xlipman   , residuals
reg lrsafs  t
predict xlrsafs    , residuals
reg tcu t
predict xtcu    , residuals
reg lttlcons  t
predict xlttlcons    , residuals
reg ltotalsl t
predict xltotalsl   , residuals 
reg lcomphai t
predict xlcomphai   , residuals 
reg lpermit t
predict xlpermit   , residuals
reg lspcs20rsa t
predict xlspcs20rsa   , residuals
reg lppiitm t
predict xlppiitm    , residuals
*reg lnapmnoi t
*predict xlnapmnoi    , residuals
reg lahetpi t
predict xlahetpi    , residuals
reg lpcec96 t
predict xlpcec96    , residuals
reg lpi t
predict xlpi    , residuals

pca xunrate xlbopgimp xlbopgstb xlbusinv xldgorder xlindpro xlipdcongd xlipman xlrsafs xtcu xlttlcons xltotalsl xlcomphai xlpermit xlspcs20rsa xlppiitm xlnapmnoi xlahetpi xlpcec96 xlpi,  mineigen(1) 
predict Macro_LD_F1  Macro_LD_F2 Macro_LD_F3 

drop _merge





save EconomicVariablesMonthly2, replace
