**-----------------------------------------------*
* Do file to run Volatility in Euro Area        *
* Pedro Gomes                                   *
* Abderrahim Taamouti					*
* Antonio Afonso                                *
* First Created February 2012                   *
* Updated  February 2012                        *
*---------------------------------------------- *


* Increase memory size
clear all
set mem 450m
set matsize 800
set more off
set logtype text

* Set working directory

cd "C:\STATACodes"
use EconomicVariablesWeeklyold.dta, clear

keep    Wsp_S Wde_S Wfr_S Wit_S Wsp_Y Wde_Y Wfr_Y Wit_Y date time2 time Month Year jan feb mar abr may jun jul aug sep oct nov dec Year02 Year03 Year04 Year05 Year06 Year07 Year08 Year09 Year10 Year11 WeekD Lf1_us Lf2_us Lf3_us  Lf1_it Lf2_it Lf3_it Lf1_de Lf2_de Lf1_fr Lf2_fr Lf3_fr Lf1_sp Lf2_sp Lf3_sp xf1_de xf2_de xf1_fr xf2_fr xf3_fr xf1_it xf2_it xf3_it xf1_sp xf2_sp xf3_sp

tsset WeekD, weekly
gen MonthN=1 if Month=="Jan"
replace MonthN=2 if Month=="Feb"
replace MonthN=3 if Month=="Mar"
replace MonthN=4 if Month=="Apr"
replace MonthN=5 if Month=="May"
replace MonthN=6 if Month=="Jun"
replace MonthN=7 if Month=="Jul"
replace MonthN=8 if Month=="Aug"
replace MonthN=9 if Month=="Sep"
replace MonthN=10 if Month=="Oct"
replace MonthN=11 if Month=="Nov"
replace MonthN=12 if Month=="Dec"

gen Mf1_de =(Lf1_de + L.Lf1_de+L2.Lf1_de+L3.Lf1_de)/4
gen Mf2_de =(Lf2_de + L.Lf2_de+L2.Lf2_de+L3.Lf2_de)/4
gen Mf1_fr =(Lf1_fr + L.Lf1_fr+L2.Lf1_fr+L3.Lf1_fr)/4
gen Mf2_fr =(Lf2_fr + L.Lf2_fr+L2.Lf2_fr+L3.Lf2_fr)/4
gen Mf3_fr =(Lf3_fr + L.Lf3_fr+L2.Lf3_fr+L3.Lf3_fr)/4
gen Mf1_it =(Lf1_it + L.Lf1_it+L2.Lf1_it+L3.Lf1_it)/4
gen Mf2_it =(Lf2_it + L.Lf2_it+L2.Lf2_it+L3.Lf2_it)/4
gen Mf3_it =(Lf3_it + L.Lf3_it+L2.Lf3_it+L3.Lf3_it)/4
gen Mf1_sp =(Lf1_sp + L.Lf1_sp+L2.Lf1_sp+L3.Lf1_sp)/4
gen Mf2_sp =(Lf2_sp + L.Lf2_sp+L2.Lf2_sp+L3.Lf2_sp)/4
gen Mf3_sp =(Lf3_sp + L.Lf3_sp+L2.Lf3_sp+L3.Lf3_sp)/4

gen Mxf1_de =(xf1_de + L.xf1_de+L2.xf1_de+L3.xf1_de)/4
gen Mxf2_de =(xf2_de + L.xf2_de+L2.xf2_de+L3.xf2_de)/4
gen Mxf1_fr =(xf1_fr + L.xf1_fr+L2.xf1_fr+L3.xf1_fr)/4
gen Mxf2_fr =(xf2_fr + L.xf2_fr+L2.xf2_fr+L3.xf2_fr)/4
gen Mxf3_fr =(xf3_fr + L.xf3_fr+L2.xf3_fr+L3.xf3_fr)/4
gen Mxf1_it =(xf1_it + L.xf1_it+L2.xf1_it+L3.xf1_it)/4
gen Mxf2_it =(xf2_it + L.xf2_it+L2.xf2_it+L3.xf2_it)/4
gen Mxf3_it =(xf3_it+ L.xf3_it+L2.xf3_it+L3.xf3_it)/4
gen Mxf1_sp =(xf1_sp + L.xf1_sp+L2.xf1_sp+L3.xf1_sp)/4
gen Mxf2_sp =(xf2_sp + L.xf2_sp+L2.xf2_sp+L3.xf2_sp)/4
gen Mxf3_sp =(xf3_sp + L.xf3_sp+L2.xf3_sp+L3.xf3_sp)/4



replace Mf1_de =(Lf1_de + L.Lf1_de+L2.Lf1_de+L3.Lf1_de+L4.Lf1_de)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf2_de =(Lf2_de + L.Lf2_de+L2.Lf2_de+L3.Lf2_de+L4.Lf2_de)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf1_fr =(Lf1_fr + L.Lf1_fr+L2.Lf1_fr+L3.Lf1_fr+L4.Lf1_fr)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf2_fr =(Lf2_fr + L.Lf2_fr+L2.Lf2_fr+L3.Lf2_fr+L4.Lf2_fr)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf3_fr =(Lf3_fr + L.Lf3_fr+L2.Lf3_fr+L3.Lf3_fr+L4.Lf3_fr)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf1_it =(Lf1_it + L.Lf1_it+L2.Lf1_it+L3.Lf1_it+L4.Lf1_it)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf2_it =(Lf2_it + L.Lf2_it+L2.Lf2_it+L3.Lf2_it+L4.Lf2_it)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf3_it =(Lf3_it + L.Lf3_it+L2.Lf3_it+L3.Lf3_it+L4.Lf3_it)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf1_sp =(Lf1_sp + L.Lf1_sp+L2.Lf1_sp+L3.Lf1_sp+L4.Lf1_sp)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf2_sp =(Lf2_sp + L.Lf2_sp+L2.Lf2_sp+L3.Lf2_sp+L4.Lf2_sp)/5  if MonthN==L4.MonthN & time2!=16100
replace Mf3_sp =(Lf3_sp + L.Lf3_sp+L2.Lf3_sp+L3.Lf3_sp+L4.Lf3_sp)/5  if MonthN==L4.MonthN & time2!=16100

replace Mxf1_de =(xf1_de + L.xf1_de+L2.xf1_de+L3.xf1_de+L4.xf1_de)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf2_de =(xf2_de + L.xf2_de+L2.xf2_de+L3.xf2_de+L4.xf2_de)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf1_fr =(xf1_fr + L.xf1_fr+L2.xf1_fr+L3.xf1_fr+L4.xf1_fr)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf2_fr =(xf2_fr + L.xf2_fr+L2.xf2_fr+L3.xf2_fr+L4.xf2_fr)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf3_fr =(xf3_fr + L.xf3_fr+L2.xf3_fr+L3.xf3_fr+L4.xf3_fr)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf1_it =(xf1_it + L.xf1_it+L2.xf1_it+L3.xf1_it+L4.xf1_it)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf2_it =(xf2_it + L.xf2_it+L2.xf2_it+L3.xf2_it+L4.xf2_it)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf3_it =(xf3_it + L.xf3_it+L2.xf3_it+L3.xf3_it+L4.xf3_it)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf1_sp =(xf1_sp + L.xf1_sp+L2.xf1_sp+L3.xf1_sp+L4.xf1_sp)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf2_sp =(xf2_sp + L.xf2_sp+L2.xf2_sp+L3.xf2_sp+L4.xf2_sp)/5  if MonthN==L4.MonthN & time2!=16100
replace Mxf3_sp =(xf3_sp + L.xf3_sp+L2.xf3_sp+L3.xf3_sp+L4.xf3_sp)/5  if MonthN==L4.MonthN & time2!=16100



drop if  MonthN==f.MonthN

gen timeM=_n+503
tsset timeM, monthly

save EU_EconomicVariablesMonthly, replace

clear
insheet using "EU_Monthly.txt", tab
*insheet using "MonthlyL.txt", tab

rename timem timeM
tsset timeM, monthly
save EU_EconomicMonthlyA, replace

use EU_EconomicVariablesMonthly.dta, clear
tsset timeM, monthly
merge timeM using EU_EconomicMonthlyA.dta



label var  urate_de "Harmonized Unemployment Rate, Germany"
label var  urate_sp "Harmonized Unemployment Rate, Spain"
label var  urate_fr "Harmonized Unemployment Rate, France"
label var  urate_it "Harmonized Unemployment Rate, Italy"

label var  hicp_de "All-items HICP, Germany"
label var  hicp_sp "All-items HICP, Spain"
label var  hicp_fr "All-items HICP, France"
label var  hicp_it "All-items HICP, Italy"

label var  ip_de "Volume index of production, Manufacturing, Germany"
label var  ip_sp "Volume index of production, Manufacturing, Spain"
label var  ip_fr "Volume index of production, Manufacturing, France"
label var  ip_it "Volume index of production, Manufacturing, Italy"


**********************************

*Inflation
gen t=_n

dfuller hicp_de,  regress lags(3)
dfuller hicp_fr,  regress lags(3)
dfuller hicp_it,  regress lags(3)
dfuller hicp_sp,  regress lags(3)

gen inf_de=(log(hicp_de)-log(L.hicp_de))*100
gen inf_fr=(log(hicp_fr)-log(L.hicp_fr))*100
gen inf_it=(log(hicp_it)-log(L.hicp_it))*100
gen inf_sp=(log(hicp_sp)-log(L.hicp_sp))*100


reg  inf_de Mf1_de Mf2_de 
reg  inf_fr Mf1_fr Mf2_fr Mf3_fr
reg  inf_it Mf1_it Mf2_it Mf3_it
reg  inf_sp Mf1_sp Mf2_sp Mf3_sp


reg  d.hicp_de Mxf1_de Mxf2_de 
reg  d.hicp_fr Mxf1_fr Mxf2_fr Mxf3_fr
reg  d.hicp_it Mxf1_it Mxf2_it Mxf3_it
reg  d.hicp_sp Mxf1_sp Mxf2_sp Mxf3_sp

**********************************

*Unemployment

dfuller urate_de,  regress lags(3)
dfuller urate_fr,  regress lags(3)
dfuller urate_it,  regress lags(3)
dfuller urate_sp,  regress lags(3)

reg  d.urate_de Mf1_de Mf2_de 
reg  d.urate_fr Mf1_fr Mf2_fr Mf3_fr
reg  d.urate_it Mf1_it Mf2_it Mf3_it
reg  d.urate_sp Mf1_sp Mf2_sp Mf3_sp


reg  d.urate_de Mxf1_de Mxf2_de 
reg  d.urate_fr Mxf1_fr Mxf2_fr Mxf3_fr
reg  d.urate_it Mxf1_it Mxf2_it Mxf3_it
reg  d.urate_sp Mxf1_sp Mxf2_sp Mxf3_sp





**********************************

*Production index (change)


dfuller ip_de,  regress lags(3)
dfuller ip_fr,  regress lags(3)
dfuller ip_it,  regress lags(3)
dfuller ip_sp,  regress lags(3)

reg  ip_de Mf1_de Mf2_de 
reg  ip_fr Mf1_fr Mf2_fr Mf3_fr
reg  ip_it Mf1_it Mf2_it Mf3_it
reg  ip_sp Mf1_sp Mf2_sp Mf3_sp

reg  ip_de Mxf1_de Mxf2_de 
reg  ip_fr Mxf1_fr Mxf2_fr Mxf3_fr
reg  ip_it Mxf1_it Mxf2_it Mxf3_it
reg  ip_sp Mxf1_sp Mxf2_sp Mxf3_sp
*********************************



save EU_EconomicVariablesMonthly2, replace
