**-----------------------------------------------*
* Do file to run Volatility in Euro Area        *
* Pedro Gomes                                   *
* Abderrahim Taamouti					*
* Antonio Afonso                                *
* First Created February 2012                   *
* Updated  February 2012                        *
*---------------------------------------------- *


* Increase memory size
clear all
set mem 450m
set matsize 800
set more off
set logtype text

* Set working directory

cd "C:\STATACodes"

*use EU_EconomicVariablesMonthly2.dta, clear
*tsset timeM, monthly
*drop _merge
*merge timeM using EconomicVariablesMonthly2.dta


use EconomicVariablesMonthly2.dta, clear
tsset timeM, monthly


***Stocks
*reg COV_fr_S_de_S Lf1_us Lf2_us Lf3_us
*estimates store DE_FR1


reg COV_fr_S_de_S Mf1_us Mf2_us Mf3_us if Mf3_us!=. , vce(robust)
reg COV_fr_S_de_S cpiaucsl  unrate  indpro if Mf3_us!=., vce(robust)
reg COV_fr_S_de_S Macro_LD_F1  Macro_LD_F2 Macro_LD_F3  if Mf3_us!=., vce(robust)

reg COV_it_S_de_S Mf1_us Mf2_us Mf3_us  if Mf3_us!=., vce(robust)
reg COV_it_S_de_S   unrate cpiaucsl indpro  if Mf3_us!=., vce(robust)
reg COV_it_S_de_S Macro_LD_F1  Macro_LD_F2 Macro_LD_F3  if Mf3_us!=. , vce(robust)

reg COV_de_S_sp_S Mf1_us Mf2_us Mf3_us  if Mf3_us!=., vce(robust)
reg COV_de_S_sp_S   unrate cpiaucsl indpro  if Mf3_us!=., vce(robust)
reg COV_de_S_sp_S Macro_LD_F1  Macro_LD_F2 Macro_LD_F3  if Mf3_us!=. , vce(robust)

reg COV_fr_S_it_S Mf1_us Mf2_us Mf3_us if Mf3_us!=. , vce(robust)
reg COV_fr_S_it_S   unrate cpiaucsl indpro  if Mf3_us!=., vce(robust)
reg COV_fr_S_it_S Macro_LD_F1  Macro_LD_F2 Macro_LD_F3  if Mf3_us!=. , vce(robust)

reg COV_fr_S_sp_S Mf1_us Mf2_us Mf3_us if Mf3_us!=. , vce(robust)
reg COV_fr_S_sp_S   unrate cpiaucsl indpro  if Mf3_us!=., vce(robust)
reg COV_fr_S_sp_S Macro_LD_F1  Macro_LD_F2 Macro_LD_F3  if Mf3_us!=. , vce(robust)

reg COV_it_S_sp_S Mf1_us Mf2_us Mf3_us if Mf3_us!=. , vce(robust)
reg COV_it_S_sp_S   unrate  cpiaucsl indpro  if Mf3_us!=., vce(robust)
reg COV_it_S_sp_S Macro_LD_F1  Macro_LD_F2 Macro_LD_F3  if Mf3_us!=. , vce(robust)


***************************************************************************



reg COV_fr_Y_de_Y Mf1_us Mf2_us Mf3_us if Mf3_us!=. , vce(robust)
reg COV_fr_Y_de_Y   unrate cpiaucsl indpro if Mf3_us!=., vce(robust)
reg COV_fr_Y_de_Y Macro_LD_F1  Macro_LD_F2 Macro_LD_F3  if Mf3_us!=., vce(robust)

reg COV_it_Y_de_Y Mf1_us Mf2_us Mf3_us  if Mf3_us!=., vce(robust)
reg COV_it_Y_de_Y   unrate cpiaucsl indpro  if Mf3_us!=., vce(robust)
reg COV_it_Y_de_Y Macro_LD_F1  Macro_LD_F2 Macro_LD_F3  if Mf3_us!=. , vce(robust)

reg COV_de_Y_sp_Y Mf1_us Mf2_us Mf3_us  if Mf3_us!=., vce(robust)
reg COV_de_Y_sp_Y unrate cpiaucsl indpro  if Mf3_us!=., vce(robust)
reg COV_de_Y_sp_Y Macro_LD_F1  Macro_LD_F2 Macro_LD_F3  if Mf3_us!=. , vce(robust)

reg COV_fr_Y_it_Y Mf1_us Mf2_us Mf3_us if Mf3_us!=. , vce(robust)
reg COV_fr_Y_it_Y unrate cpiaucsl indpro  if Mf3_us!=., vce(robust)
reg COV_fr_Y_it_Y Macro_LD_F1  Macro_LD_F2 Macro_LD_F3  if Mf3_us!=. , vce(robust)


reg COV_fr_Y_sp_Y Mf1_us Mf2_us Mf3_us if Mf3_us!=. , vce(robust)
reg COV_fr_Y_sp_Y   unrate cpiaucsl indpro  if Mf3_us!=., vce(robust)
reg COV_fr_Y_sp_Y Macro_LD_F1  Macro_LD_F2 Macro_LD_F3  if Mf3_us!=. , vce(robust)

reg COV_it_Y_sp_Y Mf1_us Mf2_us Mf3_us if Mf3_us!=. , vce(robust)
reg COV_it_Y_sp_Y unrate cpiaucsl indpro  if Mf3_us!=., vce(robust)
reg COV_it_Y_sp_Y Macro_LD_F1  Macro_LD_F2 Macro_LD_F3  if Mf3_us!=. , vce(robust)


*
