clear all
set more off
cd "C:\Pedro\Trabalhos\Preparao Trabalhos\30-CorrelationsSY\Data5\Weights2\MonthlyG\"
use monthly

gen t=_n
tsset t, monthly


*rename mde_s wde_s
*rename mfr_s wfr_s
*rename msp_s wsp_s
*rename mit_s wit_s

rename mde_y wde_s
rename mfr_y wfr_s
rename msp_y wsp_s
rename mit_y wit_s

rename mf1_us lf1_us
rename mf2_us lf2_us
rename mf3_us lf3_us

gen DElf1_us=l.lf1_us*wde_s
gen DElf2_us=l.lf2_us*wde_s
gen DElf3_us=l.lf3_us*wde_s
gen FRlf1_us=l.lf1_us*wfr_s
gen FRlf2_us=l.lf2_us*wfr_s
gen FRlf3_us=l.lf3_us*wfr_s
gen SPlf1_us=l.lf1_us*wsp_s
gen SPlf2_us=l.lf2_us*wsp_s
gen SPlf3_us=l.lf3_us*wsp_s
gen ITlf1_us=l.lf1_us*wit_s
gen ITlf2_us=l.lf2_us*wit_s
gen ITlf3_us=l.lf3_us*wit_s

gen Ret_EW_s=0.25*wde_s+0.25*wfr_s+0.25*wsp_s+0.25*wit_s

******************************************************
***
*** Optimal constant weights
***
******************************************************

gmm (eq1:(-(1+({A0}*wde_s)+({B0}*wfr_s)+({C0}*wsp_s)+(1-{A0}-{B0}-{C0})*wit_s)^(-7)/(-7))), ///
derivative(/A0 = -(1+({A0}*wde_s)+({B0}*wfr_s)+({C0}*wsp_s)+(1-{A0}-{B0}-{C0})*wit_s)^(-8)*(wde_s-wit_s)) ///
derivative(/B0 = -(1+({A0}*wde_s)+({B0}*wfr_s)+({C0}*wsp_s)+(1-{A0}-{B0}-{C0})*wit_s)^(-8)*(wfr_s-wit_s)) ///
derivative(/C0 = -(1+({A0}*wde_s)+({B0}*wfr_s)+({C0}*wsp_s)+(1-{A0}-{B0}-{C0})*wit_s)^(-8)*(wsp_s-wit_s)) ///
instruments(l.wde_s l.wfr_s l.wsp_s l.wit_s l2.wde_s l2.wfr_s l2.wsp_s l2.wit_s l3.wde_s l3.wfr_s l3.wsp_s l3.wit_s l4.wde_s l4.wfr_s l4.wsp_s l4.wit_s) ///
from(A0 0.25  B0 0.25  C0 0.25)wmatrix(hac bartlett) winitial(identity) conv_maxiter(16000) conv_ptol(1e-6) conv_vtol(1e-6) conv_nrtol(1e-6)

gen W1de_s= _b[/A0]
gen W1fr_s= _b[/B0]
gen W1sp_s= _b[/C0]
gen W1it_s= 1-W1de_s-W1fr_s-W1sp_s

gen Ret_CW8_s=W1de_s*wde_s+W1fr_s*wfr_s+W1sp_s*wsp_s+W1it_s*wit_s

******************************************************

gmm (eq1:(-(1+({A0}*wde_s)+({B0}*wfr_s)+({C0}*wsp_s)+(1-{A0}-{B0}-{C0})*wit_s)^(-4)/(-4))), ///
derivative(/A0 = -(1+({A0}*wde_s)+({B0}*wfr_s)+({C0}*wsp_s)+(1-{A0}-{B0}-{C0})*wit_s)^(-5)*(wde_s-wit_s)) ///
derivative(/B0 = -(1+({A0}*wde_s)+({B0}*wfr_s)+({C0}*wsp_s)+(1-{A0}-{B0}-{C0})*wit_s)^(-5)*(wfr_s-wit_s)) ///
derivative(/C0 = -(1+({A0}*wde_s)+({B0}*wfr_s)+({C0}*wsp_s)+(1-{A0}-{B0}-{C0})*wit_s)^(-5)*(wsp_s-wit_s)) ///
instruments(l.wde_s l.wfr_s l.wsp_s l.wit_s l2.wde_s l2.wfr_s l2.wsp_s l2.wit_s l3.wde_s l3.wfr_s l3.wsp_s l3.wit_s l4.wde_s l4.wfr_s l4.wsp_s l4.wit_s) ///
from(A0 0.25  B0 0.25  C0 0.25)wmatrix(hac bartlett) winitial(identity) conv_maxiter(16000) conv_ptol(1e-6) conv_vtol(1e-6) conv_nrtol(1e-6)
  
replace W1de_s= _b[/A0]
replace W1fr_s= _b[/B0]
replace W1sp_s= _b[/C0]
replace W1it_s= 1-W1de_s-W1fr_s-W1sp_s

gen Ret_CW5_s=W1de_s*wde_s+W1fr_s*wfr_s+W1sp_s*wsp_s+W1it_s*wit_s


******************************************************
***
*** Optimal  weights  f1 f2 f3
***
******************************************************


gmm (eq1:(-(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-4)/(-4))), ///
derivative(/A0 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-5)*(wde_s-wit_s)) ///
derivative(/B0 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-5)*(wfr_s-wit_s)) ///
derivative(/C0 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-5)*(wsp_s-wit_s)) ///
derivative(/A1 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-5)*(DElf1_us-ITlf1_us)) ///
derivative(/B1 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-5)*(FRlf1_us-ITlf1_us)) ///
derivative(/C1 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-5)*(SPlf1_us-ITlf1_us)) ///
derivative(/A2 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-5)*(DElf2_us-ITlf2_us)) ///
derivative(/B2 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-5)*(FRlf2_us-ITlf2_us)) ///
derivative(/C2 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-5)*(SPlf2_us-ITlf2_us)) ///
derivative(/A3 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-5)*(DElf3_us-ITlf3_us)) ///
derivative(/B3 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-5)*(FRlf3_us-ITlf3_us)) ///
derivative(/C3 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-5)*(SPlf3_us-ITlf3_us)) ///
instruments(l.wde_s l.wfr_s l.wsp_s l.wit_s l.DElf1_us l.DElf2_us l.DElf3_us l.FRlf1_us l.FRlf2_us l.FRlf3_us l.SPlf1_us l.SPlf2_us l.SPlf3_us  l.ITlf1_us  l.ITlf2_us  l.ITlf3_us l2.wde_s l2.wfr_s l2.wsp_s l2.wit_s l2.DElf1_us l2.DElf2_us l2.DElf3_us l2.FRlf1_us l2.FRlf2_us l2.FRlf3_us l2.SPlf1_us l2.SPlf2_us l2.SPlf3_us  l2.ITlf1_us  l2.ITlf2_us  l2.ITlf3_us l3.wde_s l3.wfr_s l3.wsp_s l3.wit_s l3.DElf1_us l3.DElf2_us l3.DElf3_us l3.FRlf1_us l3.FRlf2_us l3.FRlf3_us l3.SPlf1_us l3.SPlf2_us l3.SPlf3_us  l3.ITlf1_us  l3.ITlf2_us  l3.ITlf3_us l4.wde_s l4.wfr_s l4.wsp_s l4.wit_s l4.DElf1_us l4.DElf2_us l4.DElf3_us l4.FRlf1_us l4.FRlf2_us l4.FRlf3_us l4.SPlf1_us l4.SPlf2_us l4.SPlf3_us  l4.ITlf1_us  l4.ITlf2_us  l4.ITlf3_us) ///
from(A0  0.25  B0   0.25  C0  0.25   A1 0  B1 0  C1 0  A2 0  B2 0 C2 0 A3 0  B3 0 C3 0)  wmatrix(hac bartlett) winitial(identity) conv_maxiter(16000) conv_ptol(1e-6) conv_vtol(1e-6) conv_nrtol(1e-6)

	
replace W1de_s= _b[/A0]+_b[/A1]*l.lf1_us+_b[/A2]*l.lf2_us+_b[/A3]*l.lf3_us
replace W1fr_s= _b[/B0]+_b[/B1]*l.lf1_us+_b[/B2]*l.lf2_us+_b[/B3]*l.lf3_us
replace W1sp_s= _b[/C0]+_b[/C1]*l.lf1_us+_b[/C2]*l.lf2_us+_b[/C3]*l.lf3_us
replace W1it_s= 1-W1de_s-W1fr_s-W1sp_s

gen Ret_G5_s=W1de_s*wde_s+W1fr_s*wfr_s+W1sp_s*wsp_s+W1it_s*wit_s
  
gen Weight_G5_DE_y=W1de_s
gen Weight_G5_FR_y=W1fr_s
gen Weight_G5_SP_y=W1sp_s
gen Weight_G5_IT_y=W1it_s

 
 
****************************************************************************************
****************************************************************************************

gmm (eq1:(-(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-7)/(-7))), ///
derivative(/A0 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-8)*(wde_s-wit_s)) ///
derivative(/B0 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-8)*(wfr_s-wit_s)) ///
derivative(/C0 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-8)*(wsp_s-wit_s)) ///
derivative(/A1 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-8)*(DElf1_us-ITlf1_us)) ///
derivative(/B1 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-8)*(FRlf1_us-ITlf1_us)) ///
derivative(/C1 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-8)*(SPlf1_us-ITlf1_us)) ///
derivative(/A2 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-8)*(DElf2_us-ITlf2_us)) ///
derivative(/B2 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-8)*(FRlf2_us-ITlf2_us)) ///
derivative(/C2 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-8)*(SPlf2_us-ITlf2_us)) ///
derivative(/A3 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-8)*(DElf3_us-ITlf3_us)) ///
derivative(/B3 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-8)*(FRlf3_us-ITlf3_us)) ///
derivative(/C3 = -(1+({A0}*wde_s+{A1}*DElf1_us+{A2}*DElf2_us+{A3}*DElf3_us)+({B0}*wfr_s+{B1}*FRlf1_us+{B2}*FRlf2_us+{B3}*FRlf3_us)+({C0}*wsp_s+{C1}*SPlf1_us+{C2}*SPlf2_us+{C3}*SPlf3_us)+(1-{A0}-{B0}-{C0})*wit_s-({A1}+{B1}+{C1})*ITlf1_us-({A2}+{B2}+{C2})*ITlf2_us-({A3}+{B3}+{C3})*ITlf3_us)^(-8)*(SPlf3_us-ITlf3_us)) ///
instruments(l.wde_s l.wfr_s l.wsp_s l.wit_s l.DElf1_us l.DElf2_us l.DElf3_us l.FRlf1_us l.FRlf2_us l.FRlf3_us l.SPlf1_us l.SPlf2_us l.SPlf3_us  l.ITlf1_us  l.ITlf2_us  l.ITlf3_us l2.wde_s l2.wfr_s l2.wsp_s l2.wit_s l2.DElf1_us l2.DElf2_us l2.DElf3_us l2.FRlf1_us l2.FRlf2_us l2.FRlf3_us l2.SPlf1_us l2.SPlf2_us l2.SPlf3_us  l2.ITlf1_us  l2.ITlf2_us  l2.ITlf3_us l3.wde_s l3.wfr_s l3.wsp_s l3.wit_s l3.DElf1_us l3.DElf2_us l3.DElf3_us l3.FRlf1_us l3.FRlf2_us l3.FRlf3_us l3.SPlf1_us l3.SPlf2_us l3.SPlf3_us  l3.ITlf1_us  l3.ITlf2_us  l3.ITlf3_us l4.wde_s l4.wfr_s l4.wsp_s l4.wit_s l4.DElf1_us l4.DElf2_us l4.DElf3_us l4.FRlf1_us l4.FRlf2_us l4.FRlf3_us l4.SPlf1_us l4.SPlf2_us l4.SPlf3_us  l4.ITlf1_us  l4.ITlf2_us  l4.ITlf3_us) ///
from(A0  0.25  B0   0.25  C0  0.25   A1 0  B1 0  C1 0  A2 0  B2 0 C2 0 A3 0  B3 0 C3 0)  wmatrix(hac bartlett) winitial(identity) conv_maxiter(16000) conv_ptol(1e-6) conv_vtol(1e-6) conv_nrtol(1e-6)
  
  
replace W1de_s= _b[/A0]+_b[/A1]*l.lf1_us+_b[/A2]*l.lf2_us+_b[/A3]*l.lf3_us
replace W1fr_s= _b[/B0]+_b[/B1]*l.lf1_us+_b[/B2]*l.lf2_us+_b[/B3]*l.lf3_us
replace W1sp_s= _b[/C0]+_b[/C1]*l.lf1_us+_b[/C2]*l.lf2_us+_b[/C3]*l.lf3_us
replace W1it_s= 1-W1de_s-W1fr_s-W1sp_s
  
  
gen Ret_G8_s=W1de_s*wde_s+W1fr_s*wfr_s+W1sp_s*wsp_s+W1it_s*wit_s


gen Weight_G8_DE_y=W1de_s
gen Weight_G8_FR_y=W1fr_s
gen Weight_G8_SP_y=W1sp_s
gen Weight_G8_IT_y=W1it_s


  
 *********************************************************
 **************************************************************
 


save Monthly_After_y, replace 

  
 *********************************************************
 *********************************************************
 
sum Ret_EW_s  Ret_CW5_s Ret_G5_s  if Ret_G8_s!=.

sum Ret_EW_s  Ret_CW8_s Ret_G8_s  if Ret_G8_s!=.



*keep   timem month year Weight_G5_DE_y Weight_G5_FR_y Weight_G5_SP_y Weight_G5_IT_y Weight_G8_DE_y Weight_G8_FR_y Weight_G8_SP_y Weight_G8_IT_y Weight_M5_DE_y Weight_M5_FR_y Weight_M5_SP_y Weight_M5_IT_y Weight_M8_DE_y Weight_M8_FR_y Weight_M8_SP_y Weight_M8_IT_y


*save Weights_M_y

save Weights_M_y, replace



*** FT Ratios

gen EW_n1=abs(Ret_EW_s)^1 if Ret_EW_s<0
gen EW_n2=abs(Ret_EW_s)^2 if Ret_EW_s<0
gen EW_n3=abs(Ret_EW_s)^3 if Ret_EW_s<0
gen EW_n4=abs(Ret_EW_s)^4 if Ret_EW_s<0

sum Ret_EW_s if Ret_EW_s>0 & Ret_G8_s!=.
sum EW_n1 EW_n2 EW_n3 EW_n4 if Ret_G8_s!=.

*** 
gen ECW5_n1=abs(Ret_CW5_s)^1 if Ret_CW5_s<0
gen ECW5_n2=abs(Ret_CW5_s)^2 if Ret_CW5_s<0
gen ECW5_n3=abs(Ret_CW5_s)^3 if Ret_CW5_s<0
gen ECW5_n4=abs(Ret_CW5_s)^4 if Ret_CW5_s<0

sum Ret_CW5_s if Ret_CW5_s>0 & Ret_G8_s!=.
sum ECW5_n1 ECW5_n2 ECW5_n3 ECW5_n4 if Ret_G8_s!=.
*** 

gen EG5_n1=abs(Ret_G5_s)^1 if Ret_G5_s<0
gen EG5_n2=abs(Ret_G5_s)^2 if Ret_G5_s<0
gen EG5_n3=abs(Ret_G5_s)^3 if Ret_G5_s<0
gen EG5_n4=abs(Ret_G5_s)^4 if Ret_G5_s<0

sum Ret_G5_s if Ret_G5_s>0 & Ret_G5_s!=.
sum EG5_n1 EG5_n2 EG5_n3 EG5_n4 if Ret_G5_s!=.

***********************************************+

gen ECW8_n1=abs(Ret_CW8_s)^1 if Ret_CW8_s<0
gen ECW8_n2=abs(Ret_CW8_s)^2 if Ret_CW8_s<0
gen ECW8_n3=abs(Ret_CW8_s)^3 if Ret_CW8_s<0
gen ECW8_n4=abs(Ret_CW8_s)^4 if Ret_CW8_s<0

sum Ret_CW8_s if Ret_CW8_s>0 & Ret_G8_s!=.
sum ECW8_n1 ECW8_n2 ECW8_n3 ECW8_n4 if Ret_G8_s!=.
*** 

gen EG8_n1=abs(Ret_G8_s)^1 if Ret_G8_s<0
gen EG8_n2=abs(Ret_G8_s)^2 if Ret_G8_s<0
gen EG8_n3=abs(Ret_G8_s)^3 if Ret_G8_s<0
gen EG8_n4=abs(Ret_G8_s)^4 if Ret_G8_s<0

sum Ret_G8_s if Ret_G8_s>0 & Ret_G8_s!=.
sum EG8_n1 EG8_n2 EG8_n3 EG8_n4 if Ret_G8_s!=.



